<?php
   
namespace App\Http\Controllers\API;
   
use Illuminate\Http\Request;
use App\Http\Controllers\API\BaseController as BaseController;
use App\Models\Download;
use Validator;
use App\Http\Resources\Download as DownloadResource;
use Auth;
   
class DownloadController extends BaseController
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user_id = Auth::user()->id;
        $downloads = Download::where('user_id', $user_id)->get();
        
        if($downloads->count()){
            return $this->sendResponse(DownloadResource::collection($downloads), 'Download retrieved successfully.');
        }
        
        return $this->sendError('You have no downloads.', [], 400);
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'audiobook_id' => 'required',
            ]);
        $user_id = Auth::user()->id;
        $check = Download::where('user_id', $user_id)->where('audiobook_id', $request->get('audiobook_id'))->first();
        
        // if(!$check){
            $download = Download::create([
                'user_id' => $user_id,
                'audiobook_id' => $request->get('audiobook_id')
            ]);
            return $this->sendResponse(new DownloadResource($download), 'Downloaded successfully.');
        // }else{
            // $check->delete();
            
            // return $this->sendResponse([], 'Audiobook removed successfully from the downloads.');
        // }

        // return $this->sendError('Something went wrong. Please try again.', [], 400);
    } 
   
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        /*$author = Author::find($id);
  
        if (is_null($author)) {
            return $this->sendError('Author not found.', 400);
        }
   
        return $this->sendResponse(new AuthorResource($author), 'Author retrieved successfully.');*/
    }
    
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Author $author)
    {
        /*$input = $request->all();
   
        $validator = Validator::make($input, [
            'name' => 'required'
        ]);
   
        if($validator->fails()){
            return $this->sendError('Validation Error.', $validator->errors());       
        }
   
        $author->name = $request->get('name');
        $author->update();
   
        return $this->sendResponse(new ProductResource($product), 'Author updated successfully.');*/
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Author $author)
    {
        /*$author->delete();
   
        return $this->sendResponse([], 'Author deleted successfully.');*/
    }
}