<?php
   
namespace App\Http\Controllers\API;
   
use Illuminate\Http\Request;
use App\Http\Controllers\API\BaseController as BaseController;
use App\Models\Author;
use Validator;
use App\Http\Resources\Featuredcategory as FeaturedcategoryResource;
use App\Models\Userarchieve;
use App\Models\Category;
use Auth;
   
class FeaturedcategoryController extends BaseController
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
     
     


    public function index(Request $request)
    {
        
        $featured_categories = Category::with('audiobooks.author')
                                        ->with(['audiobooks' => function($query){
                                            $query->whereHas('audiobooktracks')->whereIsActive(1);
                                        }])
                                        ->where(['is_active' => 1, 'is_featured' => 'Yes'])
                                        ->get()
                                        ->map(function($query) {
                                            if($query->audiobooks->count()){
                                                $var = $query->audiobooks->take(5);
                                                $mainresult = $query->toArray();
                                                $mainresult['audiobooks'] = $var;
                                                $collection = collect($mainresult);
                                                return $collection;
                                            }else{
                                                return false;
                                            }
                                        })->reject(function ($value) {
                                            return $value === false;
                                        });
                                
        $featured_categories_in_array = $featured_categories->toArray();
        $featured_categories = collect(array_values($featured_categories_in_array));
        
        if($featured_categories->count()){
            return $this->sendResponse($featured_categories, 'Featured category fetched successfully.');
        }
        
        // $featured_categories = Category::with('audiobooks.author')
        //                                 ->with(['audiobooks' => function($query){
        //                                     $query->whereHas('audiobooktracks');
        //                         }])
        //                         ->where(['is_active' => 1, 'is_featured' => 'Yes'])
        //                         ->get()
        //                         ->map(function($query) {
        //                             $var = $query->audiobooks->take(5);
        //                             $mainresult = $query->toArray();
        //                             $mainresult['audiobooks'] = $var;
        //                             $collection = collect($mainresult);
        //                             return $collection;
        //                         });
        
        return $this->sendError('No featured categories found.', [], 400);
    }
    
}