<?php
   
namespace App\Http\Controllers\API;
   
use Illuminate\Http\Request;
use App\Http\Controllers\API\BaseController as BaseController;
use App\Models\Author;
use Validator;
use App\Http\Resources\Search as SearchResource;
use App\Models\Searchtag;
use App\Models\Audiobook;
   
class HomeController extends BaseController
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function search(Request $request)
    {
        /*$category = $language = [];
        $search = '';
        $search = $request->get('search');
        $category = $request->get('category');
        $language = $request->get('language');
        
        $audiobooks = Audiobook::with('searchtags','author','categories','languages');
        
        $audiobooks = $audiobooks->where('is_active','1');
        
        if($request->get('search') != ''){
            
            $audiobooks = $audiobooks->where(function($query) use($search){
                $query->where('name', 'LIKE', '%'.$search.'%');
            })
            ->orWhere(function($query1) use($search){
                $query1->whereHas('author', function($query2) use($search){
                    $query2->where('name','LIKE','%'.$search.'%');
                });
                
                $query1->whereHas('searchtags', function($query3) use($search){
                    $query3->where('searchtag','LIKE','%'.$search.'%');
                });
                
            });
        }
            
        
        if($request->get('category') != ''){
            $audiobooks =$audiobooks->orWhereHas('categories', function($query) use($category){
                $query->whereIn('id', $category)->where('is_active','1');
            });
        }
        
        if($request->get('language') != ''){
            $audiobooks =$audiobooks->orWhereHas('languages', function($query) use($language){
                $query->whereIn('id', $language);
            });
        }*/
        
        
        $search = $request->get('search');
        $category = $request->get('category') == '' ? [] : $request->get('category');
        $language = $request->get('language') == '' ? [] : $request->get('language');
        
        // ================================= below logic acts as 'and' case ================================
        $audiobooks = Audiobook::with('searchtags','author','categories','languages')->whereHas('audiobooktracks')->where('is_active','1');
        
        if(count($category) > 0){
            $audiobooks =$audiobooks->whereHas('categories', function($query) use($category){
                $query->whereIn('id', $category)->where('is_active','1');
            });
        }
        
        if(count($language) > 0){
            $audiobooks =$audiobooks->whereHas('languages', function($query1) use($language){
                $query1->whereIn('id', $language);
            });
        }
        
        if($request->get('search') != ''){
            
            $audiobooks = $audiobooks->where(function($query) use($search){
                $query->where('name', 'LIKE', '%'.$search.'%');
            })
            ->orWhere(function($query1) use($search){
                $query1->whereHas('author', function($query2) use($search){
                    $query2->where('name','LIKE','%'.$search.'%');
                });
                
                $query1->whereHas('searchtags', function($query3) use($search){
                    $query3->where('searchtag','LIKE','%'.$search.'%');
                });
                
            });
        }
        
        $audiobooks = $audiobooks->simplePaginate(10);
        // return $audiobooks;
        if($audiobooks->count()){
            $audiobooks->data = SearchResource::collection($audiobooks);
            return $this->sendResponse($audiobooks, 'Search result retrieved successfully.');
        }else{
            
            return $this->sendError('No result found.', [], 400);
            
            // Below logic is not being used
             // ================================= Below logic acts as 'OR' case ================================= 
            $audiobooks = Audiobook::with('searchtags','author','categories','languages')->whereHas('audiobooktracks')->where('is_active','1');
            if($search != ''){
                
                $audiobooks = $audiobooks->where(function($q) use ($search){
                    $q->where('name', 'LIKE', '%'.$search.'%')
                        ->orWhere(function($q1) use ($search){
                            $q1->whereHas('author', function($query) use($search){
                                    $query->where('name', 'LIKE', '%'.$search.'%');
                                })->orWhereHas('searchtags', function($query3) use($search){
                                    $query3->where('searchtag','LIKE','%'.$search.'%');
                                });
                        });
                });
                
                // $audiobooks = $audiobooks->where('name', 'LIKE', '%'.$search.'%');
                // $audiobooks = $audiobooks->whereHas('author', function($query) use($search){
                //     $query->where('name', 'LIKE', '%'.$search.'%');
                // });
                // $audiobooks = $audiobooks->orWhereHas('searchtags', function($query) use($search){
                //     $query->where('searchtag', 'LIKE', '%'.$search.'%');
                // });
                
                if(count($category)){
                    $audiobooks = $audiobooks->orWhereHas('categories', function($query) use($category){
                        $query->whereIn('id', $category)->where('is_active','1');
                    });
                }
                
                if(count($language)){
                    $audiobooks = $audiobooks->orWhereHas('languages', function($query) use($language){
                        $query->whereIn('id', $language);
                    });
                }
                // $audiobooks = $audiobooks->simplePaginate(10);
                // return $audiobooks;
            } else {
                if(count($category)){
                    
                    $audiobooks = $audiobooks->whereHas('categories', function($query) use($category){
                        $query->whereIn('id', $category)->where('is_active','1');
                    });
                    
                    if(count($language)){
                        
                        $audiobooks = $audiobooks->orWhereHas('languages', function($query) use($language){
                            $query->whereIn('id', $language);
                        });
                    }
                } else {
                    if(count($language)){
                        $audiobooks = $audiobooks->whereHas('languages', function($query) use($language){
                            $query->whereIn('id', $language);
                        });
                    }
                }
            }
            
            
            $audiobooks = $audiobooks->whereHas('audiobooktracks')->simplePaginate(10);
            
            $audiobooks->data = SearchResource::collection($audiobooks);
           
            if($audiobooks->count()){
                return $this->sendResponse($audiobooks, 'Search result retrieved successfully.');
            }else{
                 return $this->sendError('No result found.', [], 400);
            }
        }
        
       
        
    // ================================= below logic acts as 'and' case ================================
        // $audiobooks = Audiobook::with('searchtags','author','categories','languages')->whereHas('audiobooktracks')->where('is_active','1');
        
        // if($request->get('search') != ''){
            
        //     $audiobooks = $audiobooks->where(function($query) use($search){
        //         $query->where('name', 'LIKE', '%'.$search.'%');
        //     })
        //     ->orWhere(function($query1) use($search){
        //         $query1->whereHas('author', function($query2) use($search){
        //             $query2->where('name','LIKE','%'.$search.'%');
        //         });
                
        //         $query1->whereHas('searchtags', function($query3) use($search){
        //             $query3->where('searchtag','LIKE','%'.$search.'%');
        //         });
                
        //     });
        // }
            
        
        // if($request->get('category') != ''){
        //     $audiobooks =$audiobooks->whereHas('categories', function($query) use($category){
        //         $query->whereIn('id', $category)->where('is_active','1');
        //     });
        // }
        
        // if($request->get('language') != ''){
        //     $audiobooks =$audiobooks->whereHas('languages', function($query) use($language){
        //         $query->whereIn('id', $language);
        //     });
        // }
        
        // $audiobooks = $audiobooks->simplePaginate(10);
        
        // $audiobooks->data = SearchResource::collection($audiobooks);
        // // return $audiobooks;
        // // return response()->json($audiobooks);
        // if($audiobooks->count()){
        //     return $this->sendResponse($audiobooks, 'Search result retrieved successfully.');
        // }else{
        //      return $this->sendError('No result found.', [], 400);
        // }
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // $input = $request->all();
   
        // $validator = Validator::make($input, [
        //     'name' => 'required|max:200'
        // ]);
   
        // if($validator->fails()){
        //     return $this->sendError('Validation Error.', $validator->errors());       
        // }
   
        // $author = new Author;
        // $author->name = $request->get('name');
        // $author->slug = $this->createUniqueSlug('Author', $request->get('name'));
        // $author->save();
   
        // return $this->sendResponse(new AuthorResource($author), 'Author created successfully.');
    } 
   
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        // $author = Author::find($id);
  
        // if (is_null($author)) {
        //     return $this->sendError('Author not found.', 400);
        // }
   
        // return $this->sendResponse(new AuthorResource($author), 'Author retrieved successfully.');
    }
    
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Author $author)
    {
        // $input = $request->all();
   
        // $validator = Validator::make($input, [
        //     'name' => 'required'
        // ]);
   
        // if($validator->fails()){
        //     return $this->sendError('Validation Error.', $validator->errors());       
        // }
   
        // $author->name = $request->get('name');
        // $author->update();
   
        // return $this->sendResponse(new ProductResource($product), 'Author updated successfully.');
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Author $author)
    {
        // $author->delete();
   
        // return $this->sendResponse([], 'Author deleted successfully.');
    }
}