<?php
   
namespace App\Http\Controllers\API;
   
use Illuminate\Http\Request;
use App\Http\Controllers\API\BaseController as BaseController;
use App\Models\Author;
use Validator;
use App\Http\Resources\Language as LanguageResource;
use App\Http\Resources\Userlanguage as UserlanguageResource;
use App\Models\Language;
use App\Models\User;
use Auth;
   
class LanguageController extends BaseController
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $user = null;
        $user_id = request()->user_id;
        if(!is_null($user_id)){
            $user = User::find($user_id);
        }
            
        $languages = Language::arrangeInOrder()->get();
        
        if($languages->count()){
            foreach($languages as $language){
                if($user){
                    if($user->languages->contains($language->id)){
                        $language->is_preferred = true;
                    }else{
                        $language->is_preferred = false;
                    }
                }else{
                    $language->is_preferred = false;
                }
            }
            
            return $this->sendResponse(LanguageResource::collection($languages), 'Languages fetched successfully.');
        }
        
        return $this->sendError('No languages found.', [], 400);
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function userLanguages(Request $request)
    {
        $user_id = Auth::id();
        $user = User::with('languages')->find($user_id);
        
        if($user){
            return $this->sendResponse(new UserlanguageResource($user), 'Languages fetched successfully.');
        }
        
        return $this->sendError('No languages found', [], 400);
    } 
    
    public function addUserLanguages(Request $request)
    {
        $languages = request()->language;
        
        if(!$languages){
            return $this->sendError('Choose atleast one language');
        }
            
        $user_id = Auth::id();
        
        $user = User::find($user_id);
        
        $user->languages()->sync($languages);
        
        return $this->sendResponse([], 'Language added successfully.');
    } 
   
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        // $author = Author::find($id);
  
        // if (is_null($author)) {
        //     return $this->sendError('Author not found.', 400);
        // }
   
        // return $this->sendResponse(new AuthorResource($author), 'Author retrieved successfully.');
    }
    
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Author $author)
    {
        // $input = $request->all();
   
        // $validator = Validator::make($input, [
        //     'name' => 'required'
        // ]);
   
        // if($validator->fails()){
        //     return $this->sendError('Validation Error.', $validator->errors());       
        // }
   
        // $author->name = $request->get('name');
        // $author->update();
   
        // return $this->sendResponse(new ProductResource($product), 'Author updated successfully.');
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Author $author)
    {
        // $author->delete();
   
        // return $this->sendResponse([], 'Author deleted successfully.');
    }
}