<?php
   
namespace App\Http\Controllers\API;
   
use Illuminate\Http\Request;
use App\Http\Controllers\API\BaseController as BaseController;
use App\Models\Author;
use Validator;
use App\Http\Resources\Userarchieve as UserarchieveResource;
use App\Models\Userarchieve;
use App\Models\Category;
use Auth;
   
class UserachieveController extends BaseController
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $user_id = Auth::id();
        $userarchieves = Userarchieve::with('audiobook.author')->whereHas('audiobook',function($q){
                                                        $q->whereHas('audiobooktracks')->whereIsActive(1);
                                                    })->where('user_id',$user_id)->orderBy('updated_at', 'DESC')->simplePaginate(10);
        
        $userarchieves->data = UserarchieveResource::collection($userarchieves);
        if($userarchieves){
            return $this->sendResponse($userarchieves, 'Continue listening fetched successfully.');
        }
        
        return $this->sendError('No archieves found.', [], 400);
    }

    public function store(Request $request)
    {
        $audiobook_id = request()->audiobook_id;
        $audiobooktrack_id = request()->audiobooktrack_id;
        // $track_playing_time = request()->track_playing_time;
        if($audiobook_id == ''){
            return $this->sendError('Something went wrong. Please try again.');
        }
        
        if($audiobooktrack_id == ''){
            return $this->sendError('Something went wrong. Please try again.');
        }
        
        // if($track_playing_time == ''){
        //     return $this->sendError('Track playing time is required.');
        // }
        
        $user_id = Auth::id();
        $userachieve = Userarchieve::where('user_id', $user_id)->where('audiobook_id', $audiobook_id)->first();
        if(!$userachieve){
            $create_userachieve = Userarchieve::create([
                'user_id' => $user_id,
                'audiobook_id' => $audiobook_id,
                'audiobooktrack_id' => $audiobooktrack_id,
                // 'track_playing_time' => $track_playing_time
            ]);
            
            return $this->sendResponse('', 'Continue listening successfully added.');
        }else{
            $userachieve->audiobooktrack_id = $audiobooktrack_id;
            // $userachieve->track_playing_time = $track_playing_time;
            $userachieve->updated_at = date('Y-m-d H:i:s');
            $userachieve->update();

            return $this->sendResponse('', 'Continue listening successfully updated.');
        }
        
    } 
   
    public function manage_tracktime(Request $request)
    {
        $audiobook_id = request()->audiobook_id;
        $audiobooktrack_id = request()->audiobooktrack_id;
        $track_playing_time = request()->track_playing_time;
        if($audiobook_id == ''){
            return $this->sendError('Something went wrong. Please try again.');
        }
        
        if($audiobooktrack_id == ''){
            return $this->sendError('Something went wrong. Please try again.');
        }
        
        if($track_playing_time == ''){
            return $this->sendError('Track playing time is required.');
        }
        
        if($track_playing_time <= 10){
            $track_playing_time = 1;
        }else{
            $track_playing_time = $track_playing_time - 10;
        }
        
        $user_id = Auth::id();
        $userachieve = Userarchieve::where('user_id', $user_id)->where('audiobook_id', $audiobook_id)->first();
        if(!$userachieve){
            $create_userachieve = Userarchieve::create([
                'user_id' => $user_id,
                'audiobook_id' => $audiobook_id,
                'audiobooktrack_id' => $audiobooktrack_id,
                'track_playing_time' => $track_playing_time
            ]);
            
            return $this->sendResponse('', 'Continue listening successfully added.');
        }else{
            $userachieve->audiobooktrack_id = $audiobooktrack_id;
            $userachieve->track_playing_time = $track_playing_time;
            $userachieve->updated_at = date('Y-m-d H:i:s');
            $userachieve->update();

            return $this->sendResponse('', 'Continue listening successfully updated.');
        }
        
    } 
    
    public function show($id)
    {
        // $author = Author::find($id);
  
        // if (is_null($author)) {
        //     return $this->sendError('Author not found.', 400);
        // }
   
        // return $this->sendResponse(new AuthorResource($author), 'Author retrieved successfully.');
    }
    
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Author $author)
    {
        // $input = $request->all();
   
        // $validator = Validator::make($input, [
        //     'name' => 'required'
        // ]);
   
        // if($validator->fails()){
        //     return $this->sendError('Validation Error.', $validator->errors());       
        // }
   
        // $author->name = $request->get('name');
        // $author->update();
   
        // return $this->sendResponse(new ProductResource($product), 'Author updated successfully.');
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Author $author)
    {
        // $author->delete();
   
        // return $this->sendResponse([], 'Author deleted successfully.');
    }
}