<?php
   
namespace App\Http\Controllers\API;
   
use Illuminate\Http\Request;
use App\Http\Controllers\API\BaseController as BaseController;
use App\Models\Wishlist;
use Validator;
use App\Http\Resources\Wishlist as WishlistResource;
use Auth;
   
class WishlistController extends BaseController
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user_id = Auth::user()->id;
        $wishlists = Wishlist::where('user_id', $user_id)->get();
        
        if($wishlists->count()){
            return $this->sendResponse(WishlistResource::collection($wishlists), 'Wishlist retrieved successfully.');
        }
        return $this->sendError('You have no wishlist.', [], 400);
    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // $request->validate([
        //     'audiobook_id' => 'required',

        $audiobook_id = request()->audiobook_id;
        
        if(is_null($audiobook_id) && $audiobook_id == ''){
            return $this->sendError('Please enter a audiobook', [], 422);
        }
        
        $user_id = Auth::user()->id;
        $check = Wishlist::where('user_id', $user_id)->where('audiobook_id',$audiobook_id)->first();
        
        if(!$check){
            $wishlist = Wishlist::create([
                'user_id' => Auth::user()->id,
                'audiobook_id' => $audiobook_id
            ]);
            // $wishlist->is_added = true;
            // return new WishlistResource($wishlist);
            return $this->sendResponse(['is_added' => true], 'Book successfully added to Wishlist');
        }else{
            $check->delete();
            
            return $this->sendResponse(['is_added' => false], 'Book deleted successfully from the wishlist.');
        }
         
        return $this->sendError('Something went wrong. Please try again.', [], 400);
    } 
   
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        /*$author = Author::find($id);
  
        if (is_null($author)) {
            return $this->sendError('Author not found.', 400);
        }
   
        return $this->sendResponse(new AuthorResource($author), 'Author retrieved successfully.');*/
    }
    
    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Author $author)
    {
        /*$input = $request->all();
   
        $validator = Validator::make($input, [
            'name' => 'required'
        ]);
   
        if($validator->fails()){
            return $this->sendError('Validation Error.', $validator->errors());       
        }
   
        $author->name = $request->get('name');
        $author->update();
   
        return $this->sendResponse(new ProductResource($product), 'Author updated successfully.');*/
    }
   
    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Author $author)
    {
        /*$author->delete();
   
        return $this->sendResponse([], 'Author deleted successfully.');*/
    }
}