<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Audiobook;
use App\Models\Audiobooktrack;

class AudiobooktrackController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       
        $validateData = $request->validate([
            'audiobook_id' => 'required',
            'title' => 'required',
            'url' => 'required|url',
            'track_length' => 'nullable|numeric',
            'track_size' => 'nullable|numeric'
            ]);
        
        // $ch = curl_init('http://url-to-file.com/audio.mp3');
        // $ch = curl_init($request->url);
        // curl_setopt($ch, CURLOPT_HEADER, 0);
        // curl_setopt($ch, CURLOPT_NOBODY, 0);
        // curl_setopt($ch, CURLOPT_TIMEOUT, 5);
        // curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        // // curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
        // // curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 1);
        // $output = curl_exec($ch);
        // $status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        // curl_close($ch);
        // if ($status == 200) {
        //     dd(file_get_contents($output));
        // }
        // // dd($output);
        // $output = 
        // $audio = new \wapmorgan\Mp3Info\Mp3Info($output, true);
        // dd($audio);
        // $audio->duration; // duration in seconds
        
        $sortid = Audiobooktrack::where('audiobook_id', $request->audiobook_id)->max('sortid') + 1;
        $track = Audiobooktrack::create([
            'audiobook_id' => $request->audiobook_id,
            'track_title' => $request->title,
            'file_url' => $request->url,
            'track_length' => $request->track_length,
            'track_size' => $request->track_size,
            'sortid' => $sortid
            ]);
        
        $update_url = route('admin.audiobooktrack.update',[$track->id]);            
        if($track){
            return response()->json(['success' => true, 'message' => 'Track added successfully.', 'update_url' => $update_url, 'track' => $track]);
        }else{
            return response()->json(['success' => false, 'message' => 'Something went wrong. Please try again.']);
        }  
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validateData = $request->validate([
            'title' => 'required',
            'url' => 'required|url',
            'track_length' => 'nullable|numeric',
            'track_size' => 'nullable|numeric'
            ]);
            
        $track = Audiobooktrack::find($id);
        $track->track_title = $request->title;
        $track->file_url = $request->url;
        $track->track_length = $request->track_length;
        $track->track_size = $request->track_size;
        $track->update();
            
        if($track){
            return response()->json(['success' => true, 'message' => 'Track updated successfully.']);
        }else{
            return response()->json(['success' => false, 'message' => 'Something went wrong. Please try again.']);
        } 
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $audiobooktrack = Audiobooktrack::find($id);
        if($audiobooktrack){
            $audiobooktrack->delete();
            return response()->json(['success' => true, 'message' => 'Track deleted successfully.']);
        }else{
            return response()->json(['success' => false, 'message' => 'Something went wrong. Please try again.']);
        }
    }
    
    public function arrangeCategoryInOrder(Request $request){
        foreach($request->positions as $position){
            Audiobooktrack::where('id', $position[0])->update(['sortid' => $position[1]]);
        }
        return response()->json(true);
    }
}
