<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Audiobook;
use App\Models\Author;
use App\Models\Language;
use App\Models\Category;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users = User::where('is_admin','!=','1')->get();
        
        return view('admin.user.index', compact('users'));
    }
    
    public function dashboard(){
        $total_audiobooks = Audiobook::count();
        $total_users = User::where('is_admin','!=','1')->count();
        $total_authors = Author::count();
        $total_languages = Language::count();
        $total_categories = Category::count();
        
        return view('admin.dashboard.index', compact('total_audiobooks','total_users','total_categories','total_languages','total_authors'));
    }

    
}
