<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class Audiobook extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        // return parent::toArray($request);
        if(isset($this->is_wishlisted)){
            $return_arr = [
                    'id' => $this->id,
                    'name' => $this->name,
                    'author_id' => $this->author_id,
                    'sku' => $this->sku,
                    'storagedrive_id' => $this->storagedrive_id,
                    'publication_year' => $this->publication_year,
                    'thumb_photo' => $this->thumb_photo,
                    'description' => $this->description,
                    'is_active' => $this->is_active,
                    'created_at' => $this->created_at->format('d/m/Y'),
                    'updated_at' => $this->updated_at->format('d/m/Y'),
                    'is_wishlisted' => $this->is_wishlisted,
                    'continue_listenting_track' => isset($this->continue_listenting_track) ? $this->continue_listenting_track : null,
                    'track_playing_time' => isset($this->track_playing_time) ? $this->track_playing_time : null,
                    'audiobooktracks' => $this->audiobooktracks,
                    'author' => $this->author,
                    'languages' => $this->languages,
                    'total_duration' => isset($this->total_duration) ? $this->total_duration : '',
                    'total_size' => isset($this->total_size) ? $this->total_size : '',
                ];
        }else{
            $return_arr = [
                    'id' => $this->id,
                    'name' => $this->name,
                    'author_id' => $this->author_id,
                    'sku' => $this->sku,
                    'storagedrive_id' => $this->storagedrive_id,
                    'publication_year' => $this->publication_year,
                    'thumb_photo' => $this->thumb_photo,
                    'description' => $this->description,
                    'is_active' => $this->is_active,
                    'created_at' => $this->created_at->format('d/m/Y'),
                    'updated_at' => $this->updated_at->format('d/m/Y'),
                    // 'continue_listenting_track' => isset($this->continue_listenting_track) ? $this->continue_listenting_track : null,
                    // 'track_playing_time' => isset($this->track_playing_time) ? $this->track_playing_time : null,
                    'audiobooktracks' => $this->audiobooktracks,
                    'author' => $this->author,
                    'languages' => $this->languages,
                ];
        }
        
        return $return_arr;
    }
}
