<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class Language extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        // return parent::toArray($request);
        if(isset($this->is_preferred)){
            $return_arr = [
                    'id' => $this->id,
                    'name' => $this->name,
                    'short_code' => $this->short_code,
                    'sortid' => $this->sortid,
                    'is_preferred' => $this->is_preferred,
                    'created_at' => $this->created_at->format('d/m/Y'),
                    'updated_at' => $this->updated_at->format('d/m/Y')
                ];
        }else{
            $return_arr = [
                    'id' => $this->id,
                    'name' => $this->name,
                    'short_code' => $this->short_code,
                    'sortid' => $this->sortid,
                    'created_at' => $this->created_at->format('d/m/Y'),
                    'updated_at' => $this->updated_at->format('d/m/Y')
                ];
        }
        
        return $return_arr;
    }
}
