<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

use App\Http\Resources\Userarchieve as UserarchieveResource;
use App\Http\Resources\Language as LanguageResource;
use App\Http\Resources\Download as DownloadResource;
use App\Http\Resources\Wishlist as WishlistResource;

class Userdetails extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        // return parent::toArray($request);
        return [
            'firstname' => $this->firstname,
            'lastname' => $this->lastname,
            'email' => $this->email,
            'mobile' => $this->mobile_number,
            'download_only_over_wifi' => $this->download_only_over_wifi,
            'languages' => LanguageResource::collection($this->languages),
            'continue_listening' => UserarchieveResource::collection($this->userarchieves),
            'downloads' => DownloadResource::collection($this->downloads),
            'wishlists' => WishlistResource::collection($this->wishlists),
        ];
    }
}
