<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class Wishlist extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        //return parent::toArray($request);
        $audiobooktracks = $this->audiobook ? $this->audiobook->audiobooktracks : null;
        $author = $this->audiobook ? $this->audiobook->author : null;
        $languages = $this->audiobook ? $this->audiobook->languages : null;
        $audiobooks = $this->audiobook ? $this->audiobook : null;
        unset($audiobooks->audiobooktracks);
        unset($audiobooks->author);
        unset($audiobooks->languages);
        
        return [
            'id' => $this->id,
            'user_id' => $this->user_id,
            // 'is_added' => $this->is_added,
            'audiobooks' => $audiobooks,
            'audiobooktracks' => $audiobooktracks,
            'author' => $author,
            'languages' => $languages
        ];
    }
}
