<?php

namespace App\Imports;

use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\Importable;
use Maatwebsite\Excel\Concerns\WithValidation;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;
use Maatwebsite\Excel\Concerns\WithHeadingRow;

use App\Models\Audiobook;
use App\Models\Author;
use App\Models\Category;
use App\Models\Language;

class AudiobookImport implements ToModel, WithHeadingRow, WithValidation
{
    use Importable;
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        /*return new Audiobook([
            '' => ,
        ]);*/
        dd($row);
        if($row['author_name'] != ''){
            $chk = Author::where('name', $row['author_name']);
            if($chk){
                $author_id = $chk->id;
            }else{
                $slug = $this->createUniqueSlug($row['author_name'], 0);
    
                $author = Author::create([
                    'name' => $row['author_name'],
                    'slug' => $slug
                    ]);
                $author_id = $author->id;
            }
        }else{
            $author_id = NULL;
        }
        
        $audiobook = Audiobook::create([
            'name' => $row['name'],
            'author_id' => $author_id,
            'storagedrive_id' => 1,
            'sku' => $row['sku'],
            'publication_year' => $row['publication_year'],
            'thumb_photo' => $row['thumb_photo'],
            'description' => $row['description'],
        ]);
        
        $categories = explode(' | ',$row['categories']);
        $cat_id = [];
        foreach($categories as $category){
            $res = Category::where('name', $category)->first();
            if($res){
                $cat_id[] = $res->id;
            }
        }
        
        $audiobook->categories()->sync($cat_id);
        
        $lang = Language::where('name', $row['language'])->first();
        if($lang){
            $audiobook->languages()->sync($lang->id);
        }
        
        if($row['search_tags'] != ''){
            $search_tags = explode(' | ', $row['search_tags']);
            $search_id = [];
            foreach($search_tags as $search_tag){
                $res = Searchtag::where('searchtag', $search_tag)->first();
                if($res){
                    $search_id[] = $res->id;
                }else{
                    $searchtag = Searchtag::create(['searchtag' => $search_tag]);
                    $search_id[] = $searchtag->id;
                }
            }
            $audiobook->searchtags()->sync($search_id);
        }
    }
    
    public function rules(): array
    {
        $current_year = date('Y');
        return [
            'name' => 'required|max:255',
            'categories' => 'required',
            'language' => 'required',
            'publication_year' => 'required|numeric|min:1800|max:'.$current_year,
            'sku' => 'required|unique:audiobooks,sku,NULL,id,deleted_at,NULL',
            'description' => 'required',
            'thumb_photo' => 'required|unique:audiobooks,thumb_photo',
        ];
        // return [
        //     '1' => 'required|max:255',
        //     '3' => 'required',
        //     '4' => 'required',
        //     // '5' => 'required|numeric|min:1800|max:'.$current_year,
        //     '0' => 'required|unique:audiobooks,sku,NULL,id,deleted_at,NULL',
        //     '7' => 'required',
        //     '6' => 'required|unique:audiobooks,thumb_photo',
        // ];
    }
    
    public function createUniqueSlug($title, $id){
        $slug = preg_replace("/-$/","",preg_replace('/[^a-z0-9]+/i', "-", strtolower($title)));
        $modelname = Author::where('slug', 'LIKE', $slug.'%')->where('id', '!=', $id)
                                ->get();
        $numHits = $modelname->count();
        
        return ($numHits > 0) ? ($slug . '-' . $numHits) : $slug;
    }
}
