<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Audiobook extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $guarded =[];
    
    public function audiobooktracks(){
        return $this->hasMany('App\Models\Audiobooktrack');
    }
    
    public function author(){
        return $this->belongsTo('App\Models\Author');
    }
    
    public function categories(){
        return $this->belongsToMany('App\Models\Category');
    }
    
    public function languages(){
        return $this->belongsToMany('App\Models\Language');
    }
    
    public function storagedrive(){
        return $this->belongsTo('App\Models\Storagedrive');
    }
    
    public function searchtags(){
        return $this->belongsToMany('App\Models\Searchtag');
    }
    
    public function popularbook(){
        return $this->hasOne('App\Models\Popularbook');
    }
    
    public function userarchieves(){
        return $this->hasMany('App\Models\Userarchieve');
    }
    
    public function downloads(){
        return $this->hasMany('App\Models\Download');
    }
    
    // public function getfilteredCategories(){
    //     return $this->categories()->where('id', 1);
    // }
    
}
