<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model
{
    use HasFactory;
    use SoftDeletes;
    
    protected $fillable = ['name', 'image', 'sortid', 'is_active','is_featured'];
    
    public function audiobooks(){
        return $this->belongsToMany('App\Models\Audiobook');
    }
    
    public function scopeGetActiveCategories($query){
        return $query->where('is_active', 1);
    }
    
    public function scopeArrangeInOrder($query){
        return $query->orderBy('sortid');
    }
    
    
    
    /*public function scopeWithAndWhereHas($query, $relation, $constraint){
        return $query->whereHas($relation, $constraint)
                     ->with([$relation => $constraint]);
    }*/
}
