<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Language extends Model
{
    use HasFactory;
    use SoftDeletes;
    
    protected $fillable = ['name', 'short_code', 'sortid'];
    
    public function audiobooks(){
        return $this->belongsToMany('App\Models\Audiobook');
    }
    
    public function scopeArrangeInOrder($query){
        return $query->orderBy('sortid');
    }
}
