<?php

namespace App\Models;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;
use Laravel\Passport\HasApiTokens;

class User extends Authenticatable
{
    use HasFactory, Notifiable;
    use SoftDeletes;
    use HasApiTokens;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'firstname',
        'lastname',
        'email',
        'mobile_number',
        'password',
        'is_admin',
        'fb_token',
        'gmail_token',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
    
    public function languages(){
        return $this->belongsToMany('App\Models\Language');
    }
    
    public function bookmarks(){
        return $this->hasMany('App\Models\Bookmark');
    }
    
    public function downloads(){
        return $this->hasMany('App\Models\Download');
    }
    
    public function userarchieves(){
        return $this->hasMany('App\Models\Userarchieve');
    }
    
    public function wishlists(){
        return $this->hasMany('App\Models\Wishlist');
    }
}
