<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAudiobookLanguageTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('audiobook_language', function (Blueprint $table) {
            $table->bigInteger('audiobook_id')->unsigned();
            $table->bigInteger('language_id')->unsigned();

            $table->unique(['audiobook_id', 'language_id']);
            $table->foreign('audiobook_id')->references('id')->on('audiobooks')
                ->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('language_id')->references('id')->on('languages')
                ->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('audiobook_language');
    }
}
