<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAudiobookCategoryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('audiobook_category', function (Blueprint $table) {
            $table->bigInteger('audiobook_id')->unsigned();
            $table->bigInteger('category_id')->unsigned();

            $table->unique(['audiobook_id', 'category_id']);
            $table->foreign('audiobook_id')->references('id')->on('audiobooks')
                ->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('category_id')->references('id')->on('categories')
                ->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('audiobook_category');
    }
}
