<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAudiobooktracksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('audiobooktracks', function (Blueprint $table) {
            $table->bigIncrements('id');
             $table->foreignId('audiobook_id')
                  ->constrained()
                  ->onUpdate('cascade')
                  ->onDelete('cascade');
            $table->string('track_title');
            $table->longText('file_url');
            $table->bigInteger('track_length')->nullable();
            $table->bigInteger('track_size')->nullable();
            $table->bigInteger('sortid');
            $table->timestamps();
            $table->softDeletes();
            
           
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('audiobooktracks');
    }
}
