<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNewColumnToAudiobooksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('audiobooks', function (Blueprint $table) {
            // $table->bigInteger('storagedrive_id')->unsigned()->after('author_id');
            
            $table->foreignId('storagedrive_id')
                  ->after('author_id')
                  ->constrained()
                  ->onUpdate('cascade')
                  ->onDelete('cascade');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('audiobooks', function (Blueprint $table) {
            $table->dropColumn('storagedrive_id');
        });
    }
}
