<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAudiobookSearchtagTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('audiobook_searchtag', function (Blueprint $table) {
            $table->bigInteger('audiobook_id')->unsigned();
            $table->bigInteger('searchtag_id')->unsigned();

            $table->unique(['audiobook_id', 'searchtag_id']);
            $table->foreign('audiobook_id')->references('id')->on('audiobooks')
                ->onDelete('cascade')->onUpdate('cascade');
            $table->foreign('searchtag_id')->references('id')->on('searchtags')
                ->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('audiobook_searchtag');
    }
}
