@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@section('content')
<div id="wrapper">
    @include("admin.includes.leftbar")
	
	<div id="page-wrapper">
		@include("admin.includes.header")
		
		<div class="page-heading page-header-flex">
                <div>
                    <h1 class="page-title">
                        Audiobooks
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="">Home</a></li>
                        <li><a href="">Audiobooks</a></li>
                        <li><a href="">Add Audiobooks</a></li>
                    </ol>
                </div>
                <div class="form-actions">
                    <!--<button name="Edit" type="button" class="btn btn-success btn-width"><i class="fa fa-pencil-square-o mr-2" aria-hidden="true"></i>Edit</button>-->
                  <button type="submit" class="btn btn-success btn-width submit_btn"><i class="uil uil-check mr-2"></i>Save</button>
                  <a href="{{route('admin.audiobook.create')}}"><button type="reset" class="btn btn-danger btn-width"><i class="uil uil-redo mr-2"></i>Reset</button></a>
                </div>
        </div>

		<div class="wrapper wrapper-content">
			<div class="container">
			    <div class="form-body">
    				<div class="row">
    				    <form action="{{route('admin.audiobook.store')}}" enctype="multipart/form-data" method="POST" id="audiobook">
    				        @csrf
                            <div class="col-md-8 col-md-offset-2">
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">Audio Name<sup class="required">*</sup></label>
                                </label>
                                <div class="col-sm-8 handle_error_block">
                                    <input type="text" name="audio_name" class="form-control" placeholder="Add Audio Name">
                                    <div class="error text-danger" id="audio_name_error"></div>
                               </div>
                            </div>
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">Select Author</label>
                                </label>
                                <div class="col-sm-6 handle_error_block">
                                    <div class="form-group clearfix select-author">
                                        <select name="author" class="form-control select2 select2-hidden-accessible" tabindex="-1" aria-hidden="true" id="author">
                                            <option value="">Select Author</option>
                                            @foreach($authors as $author)
                                                <option value="{{$author->id}}">{{$author->name}}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="error text-danger" id="author_error"></div>
                               </div>
                               <div class="col-sm-2">
                                    <a href="javascript:void(0);" class="btn btn-success" data-toggle="modal" data-target="#add_audiobook_modal" id="audiobookModal"><i class="fa fa-plus mr-2"></i>Add</a>   
                                </div>
                            </div>
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">Select Categories<sup class="required">*</sup></label>
                                </label>
                                <div class="col-sm-8 handle_error_block category-select">
                                    <select class="js-example-basic-multiple" name="category[]" multiple="multiple" id="category">
                                        <option value="">Select Category</option>
                                        @foreach($categories as $category)
                                            <option value="{{$category->id}}">{{$category->name}}</option>
                                        @endforeach
                                    </select>
                                    <i class="fa fa-caret-down select-down" aria-hidden="true"></i>
                                    <div class="error text-danger" id="category_error"></div>
                               </div>
                            </div>
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">Select Language<sup class="required">*</sup></label>
                                </label>
                                <div class="col-sm-8 handle_error_block">
                                    <select class="form-control select-control" name="language" id="selectLanguage"> 
                                        <option value="">Select Language</option>
                                        @foreach($languages as $language)
                                            <option value="{{$language->id}}">{{$language->name}}</option>
                                        @endforeach
                                    </select>
                                    <div class="error text-danger" id="language_error"></div>
                               </div>
                            </div>
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">Publication Year<sup class="required">*</sup></label>
                                </label>
                                <div class="col-sm-8 handle_error_block">
                                    <input type="text" name="year" class="form-control" value="" placeholder="Add Publication Year">
                                    <div class="error text-danger" id="year_error"></div>
                               </div>
                            </div>
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">SKU<sup class="required">*</sup></label>
                                </label>
                                <div class="col-sm-8 handle_error_block">
                                    <input type="text" name="sku" class="form-control" style="text-transform:uppercase;" placeholder="Add SKU">
                                    <div class="error text-danger" id="sku_error"></div>
                               </div>
                            </div>
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">Thumbnail Photo<sup class="required">*</sup></label>
                                </label>
                                <div class="col-sm-8 upload-img handle_error_block">
                                    <div class="input-group">
                                        <span class="input-group-btn">
                                            <span class="btn btn-default btn-file">
                                                Browse… <input type="file" id="imgInp" name="file" accept="image/*">
                                            </span>
                                        </span>
                                        <input type="text" class="form-control" readonly>
                                    </div>
                                    <div class="error text-danger" id="file_error"></div>
                                    <img id='img-upload'/>
                               </div>
                            </div>
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">Description<sup class="required">*</sup></label>
                                </label>
                                <div class="col-sm-8 handle_error_block">
                                    <textarea class="form-control" id="exampleFormControlTextarea1" name="description" rows="4"></textarea>
                                    <div class="error text-danger" id="description_error"></div>
                               </div>
                            </div>
                            <!--<div class="row form-group">-->
                            <!--    <label class="col-sm-4 col-form-label">-->
                            <!--        <label class="control-label">Length</label>-->
                            <!--    </label>-->
                            <!--    <div class="col-sm-8 time-input">-->
                            <!--        <input type="number" name="hour" class="form-control" value="" placeholder="hr">-->
                            <!--        <input type="number" name="min" class="form-control" value="" placeholder="min">-->
                            <!--        <input type="number" name="sec" class="form-control" value="" placeholder="sec">-->
                            <!--   </div>-->
                            <!--</div>-->
                            <!--<div class="row form-group">-->
                            <!--    <label class="col-sm-4 col-form-label">-->
                            <!--        <label class="control-label">File Size</label>-->
                            <!--    </label>-->
                            <!--    <div class="col-sm-8">-->
                            <!--        <input type="text" name="file_size" class="form-control" value="" placeholder="Add File Size">-->
                            <!--   </div>-->
                            <!--</div>-->
                            <div class="row form-group">
                                <label class="col-sm-4 col-form-label">
                                    <label class="control-label">Search Tags</label>
                                </label>
                                <div class="col-sm-8 handle_error_block">
                                    <input type="text" name="search_tags" class="form-control" value="" placeholder="Add Tags" data-role="tagsinput">
                                    <div class="error text-danger" id="search_tags_error"></div>
                               </div>
                            </div>
                            <!--<div class="row form-group">-->
                            <!--    <label class="col-sm-4 col-form-label">-->
                            <!--        <label class="control-label">Storage Drive</label>-->
                            <!--    </label>-->
                            <!--    <div class="col-sm-8">-->
                            <!--        <select class="form-control select-control" name="selectLanguage" id="selectLanguage"> -->
                            <!--            <option value="">External Link</option>-->
                            <!--        </select>-->
                            <!--   </div>-->
                            <!--</div>-->
                        </div>
                        </form>
                    </div>
                </div>
			</div>
		</div>
		
	</div>
</div>  
<div class="modal fade in" id="add_audiobook_modal" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">×</button>
          <h4 class="modal-title">Audiobook</h4>
        </div>
        <div class="modal-body">
          <form action="{{route('admin.author.store')}}" method="POST" id="add_author">
			 @csrf
              <div class="audio-form">
                  <div class="form-group mb-4 handle_error_block">
                    <div class="row">
                        <div class="col-sm-3">
                            <label for="author_name" class="modal-author">Author Name</label>
                        </div>
                        <div class="col-sm-9">
                            <input type="text" name="name" class="form-control" placeholder="Add Author Name" id="add_author">
                            <div class="error text-danger text-danger" id="add_author_error"></div>
                        </div>
                    </div>
                  </div>
              </div>    
          </form>
        </div>
        <div class="modal-footer">
           <a role="button" href="javascript:void(0);" class="btn btn-success add_submit_btn" id="skip">Save</a>
           <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
      
    </div>
</div>
@endsection
@push('js')
<script type="text/javascript">
    $(document).ready(function(){
        $("#author").select2({
            placeholder: "Select Author",
            allowClear: false
        });
        
        $("#category").select2({
            placeholder: "Select Category",
            allowClear: false
        });
        
        $("#selectLanguage").select2({
            placeholder: "Select Language",
            allowClear: false
        });
        
        
        $('input').on('change keyup', function(){
            let closest = $(this).closest('.handle_error_block');
            $('.error', closest).html('');
        });
        $('.submit_btn').on('click', function(){
            $('.error').html('');
            $("form#audiobook").submit();
        });
      $("form#audiobook").on('submit', function(){

            $(".submit_btn").attr('disabled', true);

            
            var formData = new FormData(this);
            $.ajax({
                method      : 'POST',
                data        : formData,
                url         : $(this).attr('action'),
                processData : false, // Don't process the files
                contentType : false, // Set content type to false as jQuery will tell the server its a query string request
                dataType    : 'json',
                success     : function(response){
                    if(response.success == true)
                    {
                        Swal.fire({
                            title: response.message,
                            icon: 'success'
                        }).then(function(resp){
                            window.location = response.redirectto;
                        });
                    }
                    else
                    {
                        Toast.fire({
                            icon: 'error',
                            title: response.message
                        });
                        $(".submit_btn").attr('disabled', false);
                    }
                },
                error       : function(data){
                    var errors = $.parseJSON(data.responseText);
                    Toast.fire({
                        icon: 'error',
                        title: 'Please fill with valid data.'
                    });
                    $.each(errors.errors, function(index, value) {
                        $('#'+index+'_error').html(value[0]);
                    });
                    $(".submit_btn").attr('disabled', false);
                }

            });
            return false;

        });

        // Add author
        $('.add_submit_btn').on('click', function(){
            $("form#add_author").submit();
        });
        $('#add_audiobook_modal').on('hidden.bs.modal', function () {
            $('#add_author_error').html('');
            $('#add_author').val('');
            $(".add_submit_btn").attr('disabled', false);
        });
        $("form#add_author").on('submit', function(){

            $(".add_submit_btn").attr('disabled', true);
            $('#add_author_error').html('');
            
            var formData = new FormData(this);
            $.ajax({
                method      : 'POST',
                data        : formData,
                url         : $(this).attr('action'),
                processData : false, // Don't process the files
                contentType : false, // Set content type to false as jQuery will tell the server its a query string request
                dataType    : 'json',
                success     : function(response){
                    if(response.success == true)
                    {
                        $('#add_audiobook_modal').modal('hide');
                        Swal.fire({
                            title: response.message,
                            icon: 'success'
                        }).then(function(resp){
                           let option = `<option value="${response.author.id}" selected>${response.author.name}</option>`;
                           $('#author').prepend(option).trigger('change');
                        });
                    }
                    else
                    {
                        Toast.fire({
                            icon: 'error',
                            title: response.message
                        });
                        $(".add_submit_btn").attr('disabled', false);
                    }
                },
                error       : function(data){
                    var errors = $.parseJSON(data.responseText);
                    Toast.fire({
                        icon: 'error',
                        title: 'Please fill with valid data.'
                    });
                    $.each(errors.errors, function(index, value) {
                        $('#add_author_error').html(value[0]);
                    });
                    $(".add_submit_btn").attr('disabled', false);
                }

            });
            return false;

        });
        // Add author end
    });
</script>
@endpush