@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@section('content')
<div id="wrapper">
    @include("admin.includes.leftbar")
	
	<div id="page-wrapper">
		@include("admin.includes.header")
		
		<div class="page-heading page-header-flex">
                <div>
                    <h1 class="page-title">
                        Audiobooks
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="">Home</a></li>
                        <li><a href="">Audiobooks</a></li>
                    </ol>
                </div>
                <div class="form-actions">
                    <!--<button name="Edit" type="button" class="btn btn-success btn-width"><i class="fa fa-pencil-square-o mr-2" aria-hidden="true"></i>Edit</button>-->
                  <button type="submit" class="btn btn-success btn-width submit_btn"><i class="uil uil-check mr-2"></i>Save</button>
                  <a href="{{route('import-images')}}"><button type="reset" class="btn btn-danger btn-width"><i class="uil uil-redo mr-2"></i>Reset</button></a>
                </div>
        </div>

		<div class="wrapper wrapper-content">
			<div class="container">
			    <div class="form-body">
    				<div class="row">
    				    <form action="{{route('admin.audiobook.import_bulk_images')}}" enctype="multipart/form-data" method="POST" id="import_images">
    				        @csrf
                            <div class="col-md-8 col-md-offset-2">
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Upload Image</label>
                                    </label>
                                    <div class="col-sm-8">
                                        <!--<div class="input-group">-->
                                        <!--    <span class="input-group-btn">-->
                                        <!--        <span class="btn btn-default btn-file">-->
                                        <!--            Browse… <input type="file" id="imgInp" name="file">-->
                                        <!--        </span>-->
                                        <!--    </span>-->
                                        <!--    <input type="text" class="form-control" readonly>-->
                                        <!--</div>-->
                                        <!--<div class="error text-danger" id="file_error"></div>-->
                                        <!--<img id='img-upload'/>-->
                                        <div class="image-upload">
                                            <input id="files" type="file" multiple name="images[]" accept="image/*">
                                            <i id="file-upload" class="uil uil-cloud-upload"></i>
                                        </div>
    
                                        <div style='padding:14px 0; margin:auto';>
                                            <div id="sortableImgThumbnailPreview"></div>  
                                        </div>
                                   </div>
                                </div>
                            </div>
                        </form>
                        <!--<div class="text-right">-->
                        <!--    <button class="btn btn-success">Upload</button>-->
                        <!--</div>-->
                    </div>
                </div>
			</div>
		</div>
		
	</div>
</div>  

@endsection
@push('js')
<script type="text/javascript">
    $(document).ready(function(){
        // $("#author").select2({
        //     placeholder: "Select Author",
        //     allowClear: false
        // });
        
        // $("#category").select2({
        //     placeholder: "Select Category",
        //     allowClear: false
        // });
        
        // $("#selectLanguage").select2({
        //     placeholder: "Select Language",
        //     allowClear: false
        // });
        
        
        $('input').on('change keyup', function(){
            let closest = $(this).closest('.handle_error_block');
            $('.error', closest).html('');
        });
        $('.submit_btn').on('click', function(){
            $('.error').html('');
            $("form#import_images").submit();
        });
      $("form#import_images").on('submit', function(){

            $(".submit_btn").attr('disabled', true);

            
            var formData = new FormData(this);
            $.ajax({
                method      : 'POST',
                data        : formData,
                url         : $(this).attr('action'),
                processData : false, // Don't process the files
                contentType : false, // Set content type to false as jQuery will tell the server its a query string request
                dataType    : 'json',
                success     : function(response){
                    if(response.success == true)
                    {
                        Swal.fire({
                            title: response.message,
                            icon: 'success'
                        }).then(function(resp){
                            location.reload(true);
                        });
                    }
                    else
                    {
                        Toast.fire({
                            icon: 'error',
                            title: response.message
                        });
                        $(".submit_btn").attr('disabled', false);
                    }
                },
                error       : function(data){
                    var errors = $.parseJSON(data.responseText);
                    Toast.fire({
                        icon: 'error',
                        title: 'Please fill with valid data.'
                    });
                    $.each(errors.errors, function(index, value) {
                        $('#'+index+'_error').html(value[0]);
                    });
                    $(".submit_btn").attr('disabled', false);
                }

            });
            return false;

        });

        // Add author
        $('.add_submit_btn').on('click', function(){
            $("form#add_author").submit();
        });
        $('#add_audiobook_modal').on('hidden.bs.modal', function () {
            $('#add_author_error').html('');
            $('#add_author').val('');
            $(".add_submit_btn").attr('disabled', false);
        });
        $("form#add_author").on('submit', function(){

            $(".add_submit_btn").attr('disabled', true);
            $('#add_author_error').html('');
            
            var formData = new FormData(this);
            $.ajax({
                method      : 'POST',
                data        : formData,
                url         : $(this).attr('action'),
                processData : false, // Don't process the files
                contentType : false, // Set content type to false as jQuery will tell the server its a query string request
                dataType    : 'json',
                success     : function(response){
                    if(response.success == true)
                    {
                        $('#add_audiobook_modal').modal('hide');
                        Swal.fire({
                            title: response.message,
                            icon: 'success'
                        }).then(function(resp){
                           let option = `<option value="${response.author.id}" selected>${response.author.name}</option>`;
                           $('#author').prepend(option).trigger('change');
                        });
                    }
                    else
                    {
                        Toast.fire({
                            icon: 'error',
                            title: response.message
                        });
                        $(".add_submit_btn").attr('disabled', false);
                    }
                },
                error       : function(data){
                    var errors = $.parseJSON(data.responseText);
                    Toast.fire({
                        icon: 'error',
                        title: 'Please fill with valid data.'
                    });
                    $.each(errors.errors, function(index, value) {
                        $('#add_author_error').html(value[0]);
                    });
                    $(".add_submit_btn").attr('disabled', false);
                }

            });
            return false;

        });
        // Add author end
    });


document.getElementById('files').addEventListener('change', handleFileSelect, false);

  function handleFileSelect(evt) {
    
    var files = evt.target.files; 
    var output = document.getElementById("sortableImgThumbnailPreview");
    
    // Loop through the FileList and render image files as thumbnails.
    for (var i = 0, f; f = files[i]; i++) {

      // Only process image files.
      if (!f.type.match('image.*')) {
        continue;
      }

      var reader = new FileReader();

      // Closure to capture the file information.
      reader.onload = (function(theFile) {
        return function(e) {
          // Render thumbnail.
           var imgThumbnailElem = "<div class='RearangeBox imgThumbContainer'><i class='uil uil-times-circle cross-img' onclick='removeThumbnailIMG(this)'></i><div class='IMGthumbnail' ><img  src='" + e.target.result + "'" + "title='"+ theFile.name + "'/></div><div class='imgName'>"+ theFile.name +"</div></div>";
                    
                    output.innerHTML = output.innerHTML + imgThumbnailElem; 
          
        };
      })(f);

      // Read in the image file as a data URL.
      reader.readAsDataURL(f);
    }
  }

  function removeThumbnailIMG(elm){
    elm.parentNode.outerHTML='';
  }
  
 document.getElementById('file-upload').addEventListener('click', () => {
  document.getElementById('files').click()
})
</script>
@endpush