@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@php
$cat_id = [];
$lang_id = '';
@endphp
@section('content')
<div id="wrapper">
	@include("admin.includes.leftbar")
	
	<div id="page-wrapper">
		@include("admin.includes.header")
		
		<div class="page-heading page-header-flex">
            <div>
                <h1 class="page-title">
                    Audiobooks
                </h1>
                <ol class="breadcrumb">
                    <li><a href="">Home</a></li>
                    <li><a href="">Audiobooks</a></li>
                    <li><a href="">Add Audiobooks</a></li>
                </ol>
            </div>
            <div class="form-actions">
                <button id="edit_btn" name="Edit" type="button" class="btn btn-success btn-width"><i class="fa fa-pencil-square-o mr-2" aria-hidden="true"></i>Edit</button>
              <button id="update_btn" name="Submit" type="submit" class="btn btn-success btn-width"><i class="uil uil-check mr-2"></i>Update</button>
              <!--<button name="Reset" type="reset" class="btn btn-danger btn-width"><i class="uil uil-redo mr-2"></i>Reset</button>-->
            </div>
        </div>

		<div class="wrapper wrapper-content">
			<div class="container">
			    <div class="form-body view-form">
        				<div class="row">
                            <div class="col-md-8 col-md-offset-2">
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Audio Name</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8">
                                        <label class="control-label text-lebel">{{$audiobook->name}}</label>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Author Name</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8">
                                        <label class="control-label text-lebel">{{$audiobook->author ? $audiobook->author->name : ''}}</label>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Categories</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8 search-tag">
                                        @foreach($audiobook->categories as $category)
                                        @php $cat_id[] = $category->id; @endphp
                                            <span>{{$category->name}}</span>
                                        @endforeach 
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Language</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8">
                                        @foreach($audiobook->languages as $language)
                                            @php $lang_id = $language->id; @endphp
                                            <label class="control-label text-lebel">{{$language->name}}</label>
                                        @endforeach
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Publication Year</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8">
                                        <label class="control-label text-lebel">{{$audiobook->publication_year}}</label>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">SKU</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8">
                                        <label class="control-label text-lebel">{{$audiobook->sku}}</label>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Thumbnail Photo</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8">
                                        <img class="details-img" src="{{asset('public/images/audiobooks/'.$audiobook->thumb_photo)}}" alt="{{$audiobook->thumb_photo}}" width="20%">
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Description</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8">
                                        <label class="control-label text-lebel">{{$audiobook->description}}</label>
                                   </div>
                                </div>
                                <!--<div class="row form-group">-->
                                <!--    <label class="col-xs-5 col-sm-4 col-form-label">-->
                                <!--        <label class="control-label">Length</label>-->
                                <!--    </label>-->
                                <!--    <div class="col-xs-7 col-sm-8">-->
                                <!--        <label class="control-label text-lebel">02:10:05</label>-->
                                <!--   </div>-->
                                <!--</div>-->
                                <!--<div class="row form-group">-->
                                <!--    <label class="col-xs-5 col-sm-4 col-form-label">-->
                                <!--        <label class="control-label">File Size</label>-->
                                <!--    </label>-->
                                <!--    <div class="col-xs-7 col-sm-8">-->
                                <!--        <label class="control-label text-lebel">48MB</label>-->
                                <!--   </div>-->
                                <!--</div>-->
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Search Tags</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8 search-tag">
                                        @if($audiobook->searchtags)
                                            @foreach($audiobook->searchtags as $searchtag)
                                                <span>{{$searchtag->searchtag}}</span>
                                            @endforeach
                                        @endif
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-xs-5 col-sm-4 col-form-label">
                                        <label class="control-label">Storage Drive</label>
                                    </label>
                                    <div class="col-xs-7 col-sm-8">
                                        <label class="control-label text-lebel">{{$audiobook->storagedrive->name}}</label>
                                   </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                <!--edit starts-->
                <div class="form-body edit-form" style="display:none;">
    				<div class="row">
    				    <form action="{{route('admin.audiobook.update',[$audiobook->id])}}" enctype="multipart/form-data" method="POST" id="audiobook_update">
                            <div class="col-md-8 col-md-offset-2">
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Audio Name</label>
                                    </label>
                                    <div class="col-sm-8 handle_error_block">
                                        <input type="text" name="audio_name" class="form-control" placeholder="Edit audio name" value="{{$audiobook->name}}">
                                        <div class="error text-danger" id="audio_name_error"></div>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Author Name</label>
                                    </label>
                                    <div class="col-sm-8 handle_error_block">
                                        <div class="form-group clearfix no-mb">
                                            <select name="author" class="form-control select2 select2-hidden-accessible" tabindex="-1" aria-hidden="true" id="author">
                                                <option value="">Select Author</option>
                                                @foreach($authors as $author)
                                                    <option value="{{$author->id}}" {{$audiobook->author ? ($audiobook->author->id == $author->id ? 'selected' : '' ) : ''}}>{{$author->name}}</option>
                                                @endforeach
                                            </select>
                                            <div class="error text-danger" id="author_error"></div>
                                            <!--<input type="text" name="audio_name" class="form-control" placeholder="Edit audio name" value="{{$audiobook->author ? $audiobook->author->name : ''}}">-->
                                        </div>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Categories</label>
                                    </label>
                                    <div class="col-sm-8 category-select handle_error_block">
                                        <select class="js-example-basic-multiple" name="category[]" multiple="multiple">
                                            @if($categories->count())
                                                @foreach($categories as $category)
                                                    @if($category->is_active == 1)
                                                        <option value="{{$category->id}}" {{in_array($category->id,$cat_id) ? 'selected' : ''}}>{{$category->name}}</option>
                                                    @endif    
                                                @endforeach
                                            @endif
                                        </select>
                                        <i class="fa fa-caret-down select-down" aria-hidden="true"></i>
                                        <div class="error text-danger" id="category_error"></div>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Language</label>
                                    </label>
                                    <div class="col-sm-8 handle_error_block">
                                        <select class="form-control select-control" name="language" id="selectLanguage"> 
                                            <option value="">Select Language</option>
                                            @if($languages->count())
                                                @foreach($languages as $lang)
                                                    <option value="{{$lang->id}}" {{$lang->id == $lang_id ? 'selected' : ''}}>{{$lang->name}}</option>
                                                @endforeach
                                            @endif
                                        </select>
                                        <div class="error text-danger" id="language_error"></div>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Publication Year</label>
                                    </label>
                                    <div class="col-sm-8 handle_error_block">
                                        <input type="number" name="year" class="form-control" placeholder="Edit publication year" value={{$audiobook->publication_year}}>
                                        <div class="error" id="year_error"></div>
                                   </div>
                                </div>
                                <div class="row form-group">
                                        <label class="col-xs-5 col-sm-4 col-form-label">
                                            <label class="control-label">SKU</label>
                                        </label>
                                        <div class="col-xs-7 col-sm-8 handle_error_block">
                                            <input type="text" name="sku" class="form-control" value="{{$audiobook->sku}}" placeholder="Edit SKU">
                                            <div class="error text-danger" id="sku_error"></div>
                                       </div>
                                    </div>
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Thumbnail Photo</label>
                                    </label>
                                    <div class="col-sm-8 upload-img handle_error_block">
                                        <div class="input-group">
                                            <span class="input-group-btn">
                                                <span class="btn btn-default btn-file">
                                                    Browse… <input type="file" id="imgInp" name="file" accept="image/*">
                                                </span>
                                            </span>
                                            <input type="text" class="form-control" readonly>
                                        </div>
                                        <div class="error text-danger" id="file_error"></div>
                                        <img id='img-upload'/>
                                        <img class="details-img edited-img" src="{{asset('public/images/audiobooks/'.$audiobook->thumb_photo)}}" alt="{{$audiobook->thumb_photo}}" width="20%">
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Description</label>
                                    </label>
                                    <div class="col-sm-8 handle_error_block">
                                        <textarea name="description" class="form-control" id="exampleFormControlTextarea1" rows="4">{{$audiobook->description}}</textarea>
                                        <div class="error" id="description_error"></div>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Search Tags</label>
                                    </label>
                                    <div class="col-sm-8 handle_error_block">
                                        @php
                                            $tags=[];
                                             if($audiobook->searchtags){
                                                foreach($audiobook->searchtags as $searchtag){
                                                    $tags[] = $searchtag->searchtag;
                                                }
                                            }
                                        @endphp
                                        <input type="text" name="search_tags" class="form-control" value="{{implode(',',$tags)}}" placeholder="Add Tags" data-role="tagsinput">
                                        <div class="error text-danger" id="search_tags_error"></div>
                                   </div>
                                </div>
                                <!--<div class="row form-group">-->
                                <!--    <label class="col-sm-4 col-form-label">-->
                                <!--        <label class="control-label">Storage Drive</label>-->
                                <!--    </label>-->
                                <!--    <div class="col-sm-8">-->
                                <!--        <select class="form-control select-control" name="selectLanguage" id="selectLanguage"> -->
                                <!--            <option value="" selected>External link</option>-->
                                <!--        </select>-->
                                <!--   </div>-->
                                <!--</div>-->
                            </div>
                        </form>
                    </div>
                    </div>
                <!--edit ends-->
                    
    <!--            <div class="table-responsive"> -->
    <!--            <table id="draggable_table" class="table table-child-highlight track-table">-->
				<!--	 <thead>-->
				<!--		<tr>-->
				<!--		    <th class="sl-no">Serial No.</th>-->
				<!--			<th class="track-title">Track Title</th>-->
    <!--                        <th class="track-url">Track URL</th>-->
    <!--                        <th class="track-length">Track Length(in sec)</th>-->
    <!--                        <th class="track-size">Track Size(in MB)</th>-->
    <!--                        <th class="audio_track">Audio Track</th>-->
				<!--			<th class="add_track"> Add Track <i class="fa fa-plus" aria-hidden="true"></i></th>-->
				<!--	 </thead>-->
				<!--</table>-->
				<!--</div>-->
                <div class="table-responsive track-table-wrap">
                    <table id="draggable_table" class="table table-child-highlight track-table">
					 <thead>
						<tr>
						    <th class="sl-no">Serial No.</th>
							<th class="track-title">Track Title</th>
                            <th class="track-url">Track URL</th>
                            <th class="track-length">Track Length(in sec)</th>
                            <th class="track-size">Track Size(in MB)</th>
                            <th class="audio_track">Audio Track</th>
							<th class="add_track"> Add Track <i class="fa fa-plus" aria-hidden="true"></i></th>
					 </thead>
				    </table>
                    <table id="draggable_table" class="table table-child-highlight track-table">
						 <!--<thead>-->
							<!--<tr>-->
							<!--    <th class="sl-no">Serial No.</th>-->
							<!--	<th class="track-title">Track Title</th>-->
       <!--                         <th class="track-url">Track URL</th>-->
       <!--                         <th class="track-length">Track Length(in sec)</th>-->
       <!--                         <th class="track-size">Track Size(in MB)</th>-->
       <!--                         <th class="audio_track">Audio Track</th>-->
							<!--	<th class="add_track"> Add Track <i class="fa fa-plus" aria-hidden="true"></i></th>-->
						 <!--</thead>-->
						 <tbody>
						     @if(count($audiobook->audiobooktracks->toArray()) > 0)
						        @foreach($audiobook->audiobooktracks as $track)
						            <tr class="table_row" draggable="true" data-id="{{$track->id}}" data-position="{{$track->sortid}}">
        							    <td class="srl_no sl-no">{{$loop->iteration}}</td>
        							    <form action="{{route('admin.audiobooktrack.update',[$track->id])}}" method="POST">
        							        @csrf
                                            <td class="track-title handle_error_block">
                                                <input type="text" name="track_title" class="form-control title" value="{{$track->track_title}}" placeholder="Add Track Title">
                                                <span class="error text-danger title_error"></span>
                                            </td>
                                            <td class="track-url handle_error_block" style="position: relative;">
                                                <input type="text" name="track_url" class="form-control t_url" value="{{$track->file_url}}" placeholder="Add File URL">
                                                <span class="error text-danger url_error"></span>
                                            </td>
                                            <td class="track-length handle_error_block">
                                                <input type="number" name="track_length" class="form-control track_length" value="{{$track->track_length}}" placeholder="Add Track Length">
                                                <span class="error text-danger track_length_error"></span>
                                            </td>
                                            <td class="track-size handle_error_block">
                                                <input type="number" name="track_size" class="form-control track_size" value="{{$track->track_size}}" placeholder="Add Track Size">
                                                <span class="error text-danger track_size_error"></span>
                                            </td>
                                        </form>
                                        <td class="audio_track">
                                            <audio class="media_player"
                                                controls
                                                src="{{$track->file_url}}">
                                                    Your browser does not support the
                                                    <code>audio</code> element.
                                            </audio>
                                        </td>
                                        <td>
                                            <span class="update-track" data-id="{{$track->id}}" title="Update Track"><i class="fa fa-floppy-o" aria-hidden="true"></i></span>
                                            <span class="saved-audiobook-trash audiobook-trash" data-id="{{$track->id}}" title="Delete Track"><i class="fa fa-trash" aria-hidden="true"></i></span>
                                        </td>
                                    </tr>
						        @endforeach
						     @else
						     @endif
                            
						</tbody>
                    </table>
                </div>
			</div>
		</div>
		
	</div>
</div>    
        
@endsection
@push('js')
<script>
    $(document).ready(function(){
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        
        $("#author").select2({
            placeholder: "Select Author",
            allowClear: false,
            tags: true
        });

        // Set Order Track start
        $('table tbody').sortable({
            axis: "y",
            update: function (event, ui) {
                $(this).children().each(function (index) {
                    if ($(this).attr('data-position') != (index+1)) {
                        $(this).attr('data-position', (index+1)).addClass('updated');
                    }
                });

                saveNewPositions();
             }
          });

        function saveNewPositions() {
            var positions = [];
            $('.updated').each(function () {
               positions.push([$(this).attr('data-id'), $(this).attr('data-position')]);
               $(this).removeClass('updated');
            });
            
            $.ajax({
              url: "{{route('admin.audiobooktrack.sorting')}}",
              method: 'POST',
              dataType: 'text',
              data: {
                  positions: positions
              }, success: function (response) {
                    Toast.fire({
                        title: "Category sorted successfully",
                        icon: 'success'
                    });
                    manageSerialNumberHandler();
              }
            });
        }
        
        // Set Order Track end
        
        let is_submit = true;
        let trackRow = `
                <tr class="table_row" draggable="true">
				    <td class="srl_no sl-no"></td>
				    <form action="" method="POST">
                        <td class="track-title handle_error_block">
                            <input type="text" name="track_title" class="form-control title" value="Track" placeholder="Add Track Title">
                            <span class="error text-danger title_error"></span>
                        </td>
                        <td class="track-url handle_error_block" style="position: relative;">
                            <input type="text" name="track_url" class="form-control t_url" placeholder="Add File URL">
                            <span class="error text-danger url_error"></span>
                        </td>
                        <td class="track-length handle_error_block">
                            <input type="number" name="track_length" class="form-control track_length" placeholder="Add Track Length">
                            <span class="error text-danger track_length_error"></span>
                        </td>
                        <td class="track-size handle_error_block">
                            <input type="number" name="track_size" class="form-control track_size" placeholder="Add Track Size">
                            <span class="error text-danger track_size_error"></span>    
                        </td>
                    </form>
                    <td class="audio_track">
                        <audio class="media_player"
                            controls
                            src="">
                                Your browser does not support the
                                <code>audio</code> element.
                        </audio>
                    </td>
                    <td>
                        <span class="save-track" title="Save Track"><i class="fa fa-floppy-o" aria-hidden="true"></i></span>
                        <span class="audiobook-trash unsaved-audiobook-trash" title="Delete"><i class="fa fa-trash" aria-hidden="true"></i></span>
                    </td>
                </tr>`;
                
            // Add track row
            $(document).on('click','.add_track', function(){
                $('tbody').append(trackRow);
                manageSerialNumberHandler();
            });
            // Add track row end
        
            // save track
            $(document).on('click','.save-track', function(){
                let closest = $(this).closest('.table_row');
                let title = $('.title', closest).val();
                let track_length = $('.track_length', closest).val();
                let track_size = $('.track_size', closest).val();
                let t_url = $('.t_url', closest).val();
                if(is_submit){
                    is_submit = false;
                    
                    $.ajax({
                        method      : 'POST',
                        url         : "{{route('admin.audiobooktrack.store')}}",
                        data        : {
                            audiobook_id: "{{$audiobook->id}}",
                            title: title,
                            url: t_url,
                            track_length: track_length,
                            track_size: track_size
                        },
                        success     : function(response){
                            is_submit = true;
                            if(response.success == true)
                            {
                                Swal.fire({
                                    title: response.message,
                                    icon: 'success'
                                }).then(function(resp){
                                    $('.media_player',closest).attr('src', t_url);
                                    $('form', closest).attr('action', response.update_url);
                                    $('.save-track', closest).addClass('update-track').attr('title','Update Track').data('id', response.track.id).removeClass('save-track');
                                    $('.unsaved-audiobook-trash', closest).addClass('saved-audiobook-trash').attr('title','Delete Track').data('id', response.track.id).removeClass('unsaved-audiobook-trash');
                                    $(closest).attr('data-id', response.track.id).attr('data-position', response.track.sortid);
                                });
                            }
                            else
                            {
                                Toast.fire({
                                    icon: 'error',
                                    title: response.message
                                });
                                $(".submit_btn").attr('disabled', false);
                            }
                        },
                        error       : function(data){
                            is_submit = true;
                            var errors = $.parseJSON(data.responseText);
                            Toast.fire({
                                icon: 'error',
                                title: 'Please fill with valid data.'
                            });
                            $.each(errors.errors, function(index, value) {
                                $('.'+index+'_error', closest).html(value[0]);
                            });
                            $(".submit_btn").attr('disabled', false);
                        }
        
                    });
                    return false;
                }
            });
            // save track end
         
            // update track
            $(document).on('click','.update-track', function(){
                let closest = $(this).closest('.table_row');
                let title = $('.title', closest).val();
                let track_length = $('.track_length', closest).val();
                let track_size = $('.track_size', closest).val();
                let t_url = $('.t_url', closest).val();
                let update_url = $('form', closest).attr('action');
                if(is_submit){
                    is_submit = false;
                    
                    $.ajax({
                        method      : 'POST',
                        url         : update_url,
                        data        : {
                            title: title,
                            url: t_url,
                            track_length: track_length,
                            track_size: track_size
                        },
                        success     : function(response){
                            is_submit = true;
                            if(response.success == true)
                            {
                                Swal.fire({
                                    title: response.message,
                                    icon: 'success'
                                }).then(function(resp){
                                    $('.media_player',closest).attr('src', t_url);
                                    // $('form', closest).attr('action', response.update_url);
                                    // $('.save-track', closest).addClass('update-track').attr('title','Update Track').removeClass('save-track');
                                    // $('.unsaved-audiobook-trash', closest).addClass('saved-audiobook-trash').attr('title','Delete Track').removeClass('unsaved-audiobook-trash');
                                });
                            }
                            else
                            {
                                Toast.fire({
                                    icon: 'error',
                                    title: response.message
                                });
                                $(".submit_btn").attr('disabled', false);
                            }
                        },
                        error       : function(data){
                            is_submit = true;
                            var errors = $.parseJSON(data.responseText);
                            Toast.fire({
                                icon: 'error',
                                title: 'Please fill with valid data.'
                            });
                            $.each(errors.errors, function(index, value) {
                                $('.'+index+'_error', closest).html(value[0]);
                            });
                            $(".submit_btn").attr('disabled', false);
                        }
        
                    });
                    return false;
                }
            });
            // update track end
            
            // Delete track row
            $(document).on('click','.unsaved-audiobook-trash', function(){
                $(this).closest('tr').remove();
                manageSerialNumberHandler();
            });
            // Delete track row end
            
            function manageSerialNumberHandler(){
                let count = 0;
                $('.srl_no').each(function(index){
                    count++;
                    $(this).html(count);
                });
            }
            
            //  Delete Track
            $(document).on('click','.saved-audiobook-trash', function(){
                let track_id = $(this).data('id');
                let url = "{{route('admin.audiobooktrack.destroy',':id')}}";
                url = url.replace(':id', track_id);
                let closest_tr = $(this).closest('tr');
                Swal.fire({
                  title: 'Are you sure?',
                  text: "You won't be able to revert this!",
                  icon: 'warning',
                  showCancelButton: true,
                  confirmButtonColor: '#3085d6',
                  cancelButtonColor: '#d33',
                  confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                  if (result.isConfirmed) {
                      $.ajax({
                          url: url,
                          type: "DELETE",
                          data:{
                              "_token": "{{ csrf_token() }}"
                          },
                          success: function(response){
                              Swal.fire({
                                  title: 'Deleted!',
                                  text: response.message,
                                  icon: 'success'
                              }).then(function(result){
                                closest_tr.remove();  
                                manageSerialNumberHandler();
                              });
                          },
                          error: function(){
                              Toast.fire({
                                  title: 'Somthing went wrong. Please try again.',
                                  icon: 'error'
                              });
                          }
                      });
                    
                  }
                })
            });
            //  Delete Track end
            
            // edit form
            $('#edit_btn').click(function(){
                $('.edit-form').show();
                $('.view-form').hide();
                $('#update_btn').show();
                $('#edit_btn').hide();
            });
            
            $('#update_btn').on('click', function(){
                $('.error').html('');
                $("form#audiobook_update").submit();
            });
            $(document).on('change keyup','input,select', function(){
                let closest = $(this).closest('.handle_error_block');
                $('.error', closest).html('');
            });
            $("form#audiobook_update").on('submit', function(){
                $("#update_btn").attr('disabled', true);
                $('.error', $('#audiobook_update')).html('');
                
                var formData = new FormData(this);
                $.ajax({
                    method      : 'POST',
                    data        : formData,
                    url         : $(this).attr('action'),
                    processData : false, // Don't process the files
                    contentType : false, // Set content type to false as jQuery will tell the server its a query string request
                    dataType    : 'json',
                    success     : function(response){
                        if(response.success == true)
                        {
                            Swal.fire({
                                title: response.message,
                                icon: 'success'
                            }).then(function(resp){
                                location.reload(true);
                            });
                        }
                        else
                        {
                            Toast.fire({
                                icon: 'error',
                                title: response.message
                            });
                            $("#update_btn").attr('disabled', false);
                        }
                    },
                    error       : function(data){
                        var errors = $.parseJSON(data.responseText);
                        Toast.fire({
                            icon: 'error',
                            title: 'Please fill with valid data.'
                        });
                        $.each(errors.errors, function(index, value) {
                            $('#'+index+'_error').html(value[0]);
                        });
                        $("#update_btn").attr('disabled', false);
                    }
    
                });
                return false;
    
            });
    });
</script>
@endpush