@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@section('content')
<div id="wrapper">
    @include("admin.includes.leftbar")
	
	<div id="page-wrapper">
		@include("admin.includes.header")
		
		<div class="page-heading page-header-flex">
                <div>
                    <h1 class="page-title">
                        Add Author
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="">Home</a></li>
                        <li><a href="">Author</a></li>
                        <li><a>Add Author</a></li>
                    </ol>
                </div>
                <div class="form-actions">
                    <!--<button name="Edit" type="button" class="btn btn-success btn-width"><i class="fa fa-pencil-square-o mr-2" aria-hidden="true"></i>Edit</button>-->
                  <button name="Submit" type="submit" class="btn btn-success btn-width submit_btn"><i class="uil uil-check mr-2"></i>Save</button>
                  <a href="{{route('admin.author.create')}}"><button type="reset" class="btn btn-danger btn-width"><i class="uil uil-redo mr-2"></i>Reset</button></a>
                </div>
    	</div>

		<div class="wrapper wrapper-content">
			<div class="container">
    				<div class="form-body">
        				<div class="row">
        				    <form action="{{route('admin.author.store')}}" method="POST" id="add_author">
			                    @csrf
                                <div class="col-md-8 col-md-offset-2">
                                    <div class="row form-group">
                                        <label class="col-sm-4 col-form-label">
                                            <label class="control-label">Name</label>
                                        </label>
                                        <div class="col-sm-8 handle_error_block">
                                            <input type="text" name="name" class="form-control" value="" placeholder="Add Author">
                                            <div class="error text-danger" id="name_error"></div>
                                       </div>
                                    </div>
                                    <!--<div class="row form-group">-->
                                    <!--    <label class="col-sm-4 col-form-label">-->
                                    <!--        <label class="control-label">Country of Origin</label>-->
                                    <!--    </label>-->
                                    <!--    <div class="col-sm-8">-->
                                    <!--        <input type="text" name="country" class="form-control" value="" placeholder="Add Country">-->
                                    <!--        <div class="error" id="country_error"></div>-->
                                    <!--   </div>-->
                                    <!--</div>-->
                                </div>
                            </form>
                        </div>
                    </div>
			</div>
		</div>
		
	</div>
</div>  
        
@endsection
@push('js')
<script type="text/javascript">
    $(document).ready(function(){
        $('input').on('change keyup', function(){
            let closest = $(this).closest('.handle_error_block');
            $('.error', closest).html('');
        });
        $('.submit_btn').on('click', function(){
            $('.error').html('');
            $("form#add_author").submit();
        });
       $("form#add_author").on('submit', function(){

            $(".submit_btn").attr('disabled', true);

            
            var formData = new FormData(this);
            $.ajax({
                method      : 'POST',
                data        : formData,
                url         : $(this).attr('action'),
                processData : false, // Don't process the files
                contentType : false, // Set content type to false as jQuery will tell the server its a query string request
                dataType    : 'json',
                success     : function(response){
                    if(response.success == true)
                    {
                        Swal.fire({
                            title: response.message,
                            icon: 'success'
                        }).then(function(resp){
                           location.reload(true); 
                        });
                    }
                    else
                    {
                        Toast.fire({
                            icon: 'error',
                            title: response.message
                        });
                        $(".submit_btn").attr('disabled', false);
                    }
                },
                error       : function(data){
                    var errors = $.parseJSON(data.responseText);
                    Toast.fire({
                        icon: 'error',
                        title: 'Please fill with valid data.'
                    });
                    $.each(errors.errors, function(index, value) {
                        $('#'+index+'_error').html(value[0]);
                    });
                    $(".submit_btn").attr('disabled', false);
                }

            });
            return false;

        });

    });
</script>
@endpush