@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@section('content')
<div id="wrapper">
	@include("admin.includes.leftbar")
	
	<div id="page-wrapper">
		@include("admin.includes.header")
		
		<div class="page-heading page-header-flex">
            <div>
                <h1 class="page-title">
                    View Author
                </h1>
                <ol class="breadcrumb">
                    <li><a href="">Home</a></li>
                    <li><a href="">Author</a></li>
                    <li><a>View Author</a></li>
                </ol>
            </div>
            
            <div class="form-actions">
              <a href="{{route('admin.author.create')}}" type="button" class="btn btn-success btn-width"><i class="uil uil-plus mr-2"></i>ADD</a>
            </div>
        </div>

		<div class="wrapper wrapper-content">
			<div class="container">
				<div class="table-responsive">
                    <table id="table" class="table table-child-highlight" data-use-row-attr-func="true"
                  data-reorderable-rows="true">
						 <thead>
							<tr>
								<th>Name</th>
                                <th>Edit</th>
                                <th>Delete</th>
							</tr>
						 </thead>
						 <tbody>
						     @if(count($authors))	
						        @foreach($authors as $author)
        							<tr>
                                        <td>{{$author->name}}</td>
                                        <!--<td><a href="javascript:void(0)" class="edit" data-id="{{$author->id}}"><i class="uil uil-edit-alt mr-3"></i>Edit</a></td>-->
                                        <td><a href="javascript:void(0)" class="edit" data-toggle="modal" data-target="#editModal" data-id="{{$author->id}}" data-name="{{$author->name}}"><i class="uil uil-edit-alt mr-3"></i>Edit</a></td>
                                        <td><a href="javascript:void(0)" class="delete" data-id="{{$author->id}}"><i class="uil uil-trash-alt mr-3"></i>Delete</a></td>
                                    </tr>
                                @endforeach
                            @else
                                No Author available
                            @endif
						</tbody>
                    </table>
                    
                    <!--<nav class="text-right">-->
                    <!--  <ul class="pagination">-->
                    <!--    <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>-->
                    <!--    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>-->
                    <!--    <li><a href="#">2</a></li>-->
                    <!--    <li><a href="#">3</a></li>-->
                    <!--    <li><a href="#" aria-label="Next"><span aria-hidden="true">»</span></a></li>-->
                    <!--  </ul>-->
                    <!--</nav>-->
                </div>
			</div>
		</div>
		
	</div>
</div>    
<!-- Edit Modal -->
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="modal-title" id="exampleModalLabel">Edit Author</h3>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="POST" id="edit_author">
	        @csrf
             <div class="col-md-12">
                 <div class="row form-group ">
                     <label class="col-sm-4 col-form-label">
                         <label class="control-label">Name</label>
                     </label>
                     <div class="col-sm-8 handle_error_block">
                         <input type="text" name="name" class="form-control edit_name" placeholder="Name">
                         <div class="error text-danger" id="name_error"></div>
                    </div>
                 </div>
            </div>
            <div style="text-align:right; margin-top: 20px;"><button type="button" class="btn btn-success update_btn">Update</button></div>
        </form>
      </div>
    </div>
  </div>
</div>

@endsection
@push('js')
<script>
    $(document).ready(function(){
        $(document).on('click','.edit', function(){
            $('.error').html('');
            let id = $(this).data('id');
            let name = $(this).data('name');
            $('.edit_name').val(name);
            let url = "{{route('admin.author.update',':id')}}";
            url = url.replace(':id', id);
            $('#edit_author').attr('action', url);
        });
        
        $('.update_btn').on('click', function(){
            $('#edit_author').submit();
        });
        
        $("form#edit_author").on('submit', function(){

            $(".update_btn").attr('disabled', true);
            $('.error').html('');
            
            var formData = new FormData(this);
            $.ajax({
                method      : 'POST',
                data        : formData,
                url         : $(this).attr('action'),
                processData : false, // Don't process the files
                contentType : false, // Set content type to false as jQuery will tell the server its a query string request
                dataType    : 'json',
                success     : function(response){
                    if(response.success == true)
                    {
                        $('#editModal').modal('hide');
                        Swal.fire({
                            title: response.message,
                            icon: 'success'
                        }).then(function(resp){
                            location.reload(true);
                        });
                    }
                    else
                    {
                        Toast.fire({
                            icon: 'error',
                            title: response.message
                        });
                        $(".update_btn").attr('disabled', false);
                    }
                },
                error       : function(data){
                    var errors = $.parseJSON(data.responseText);
                    Toast.fire({
                        icon: 'error',
                        title: 'Please fill with valid data.'
                    });
                    $.each(errors.errors, function(index, value) {
                        $('#'+index+'_error').html(value[0]);
                    });
                    $(".update_btn").attr('disabled', false);
                }

            });
            return false;

        });
        
        //  Delete Author
        $(document).on('click','.delete', function(){
            let author_id = $(this).data('id');
            let url = "{{route('admin.author.destroy',':id')}}";
            url = url.replace(':id', author_id);
            let closest_tr = $(this).closest('tr');
            Swal.fire({
              title: 'Are you sure?',
              text: "You won't be able to revert this!",
              icon: 'warning',
              showCancelButton: true,
              confirmButtonColor: '#3085d6',
              cancelButtonColor: '#d33',
              confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
              if (result.isConfirmed) {
                  $.ajax({
                      url: url,
                      type: "DELETE",
                      data:{
                          "_token": "{{ csrf_token() }}"
                      },
                      success: function(response){
                          Swal.fire({
                              title: 'Deleted!',
                              text: response.message,
                              icon: 'success'
                          }).then(function(result){
                            closest_tr.remove();  
                          });
                      },
                      error: function(){
                          Toast.fire({
                              title: 'Somthing went wrong. Please try again.',
                              icon: 'error'
                          });
                      }
                  });
                
              }
            })
        });
        //  Delete Author end
    });
</script>
@endpush