@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@section('content')
<div id="wrapper">
	@include("admin.includes.leftbar")
	
	<div id="page-wrapper">
		@include("admin.includes.header")
		
		<div class="page-heading page-header-flex">
	        <h1 class="page-title">
                Dashboard
            </h1>
	    </div>

		<div class="wrapper wrapper-content">
			<div class="container">
				<div class="row">
					<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
						<div class="ibox float-e-margins">
							<div class="ibox-content">
								<i class="uil uil-headphones"></i>
								<div>
									<h4>{{$total_audiobooks}}</h4>
									<p>Audio Books</p>
								</div>
							</div>
							<!--<div class="bdfvzq">-->
						 <!--       <p>Orders today : <span>5</span></p>-->
							<!--	<p>Orders yesterday : <span>22</span></p>-->
							<!--</div>-->
						</div>
					</div>
					<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
						<div class="ibox float-e-margins">
							<div class="ibox-content">
								<i class="uil uil-user-check"></i>
								<div>
									<h4>{{$total_users}}</h4>
									<p>Users</p>
								</div>
							</div>
						</div>
					</div>
					<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
						<div class="ibox float-e-margins">
							<div class="ibox-content">
								<i class="uil uil-window-section"></i>
								<div>
									<h4>{{$total_categories}}</h4>
									<p>Categories</p>
								</div>
							</div>
						</div>
					</div>
					<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
						<div class="ibox float-e-margins">
							<div class="ibox-content">
								<i class="uil uil-letter-english-a"></i>
								<div>
									<h4>{{$total_languages}}</h4>
									<p>Languages</p>
								</div>
							</div>
						</div>
					</div>
					<div class="col-lg-4 col-md-6 col-sm-6 col-xs-12">
						<div class="ibox float-e-margins">
							<div class="ibox-content">
								<i class="uil uil-comment-edit"></i>
								<div>
									<h4>{{$total_authors}}</h4>
									<p>Authors</p>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
	</div>
</div>    
        
@endsection
@push('js')
<script>
    $(document).ready(function(){
        //  Delete Author
        $(document).on('click','.delete', function(){
            let author_id = $(this).data('id');
            let url = "{{route('admin.author.destroy',':id')}}";
            url = url.replace(':id', author_id);
            let closest_tr = $(this).closest('tr');
            Swal.fire({
              title: 'Are you sure?',
              text: "You won't be able to revert this!",
              icon: 'warning',
              showCancelButton: true,
              confirmButtonColor: '#3085d6',
              cancelButtonColor: '#d33',
              confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
              if (result.isConfirmed) {
                  $.ajax({
                      url: url,
                      type: "DELETE",
                      data:{
                          "_token": "{{ csrf_token() }}"
                      },
                      success: function(response){
                          Swal.fire({
                              title: 'Deleted!',
                              text: response.message,
                              icon: 'success'
                          }).then(function(result){
                            closest_tr.remove();  
                          });
                      },
                      error: function(){
                          Toast.fire({
                              title: 'Somthing went wrong. Please try again.',
                              icon: 'error'
                          });
                      }
                  });
                
              }
            })
        });
        //  Delete Author end
    });
</script>
@endpush