@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@section('content')

<div class="signin-form mt-5 mb-5">
        <div class="container">
            
            <div class="logo-img text-center">
                <img src="{{asset('public/assets/logo-dark.png')}}" alt="logo">
            </div>
            <div class="form-signin p-20">
                <form class="form-sign-card" method="POST" action="{{route('admin.login.process')}}">
                    @csrf
                    <h2 class="form-signin-heading text-center">Login</h2>
                  
                    <div class="form-group clearfix">
                        <div class="col-sm-12">
                            <label class="control-label">Email</label>
                            <input class="form-control @error('email') is-invalid @enderror" type="text" name="email" placeholder="Username" value="{{ old('email') }}" required autocomplete="email" autofocus>
                            @error('email')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>

                    <div class="form-group clearfix">
                        <div class="col-sm-12">
                            <label class="control-label">Password</label>
                            <input class="form-control @error('password') is-invalid @enderror" type="password" name="password" placeholder="Password" required autocomplete="current-password">
                            @error('password')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                            @if(session('error'))
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{session('error')}}</strong>
                                </span>
                            @endif
                        </div>
                        <div class="col-sm-12">
                            <div class="checkbox checkbox-primary">
                                <label><input type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>Remember Me</label>  
                            </div>
                        </div>
                    </div>

                    <div class="clearfix text-center mb-20">
                        <div class="col-sm-12">
                            <button type="submit" class="btn btn-info btn-block text-uppercase">Login</button>
                        </div>
                    </div>

                </form>

            </div>
        </div>
        
    </div>

@endsection