@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@section('content')
<div id="wrapper">
    @include("admin.includes.leftbar")
	
	<div id="page-wrapper">
		@include("admin.includes.header")
		
		<div class="page-heading page-header-flex">
                <div>
                    <h1 class="page-title">
                        Add Books
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="">Home</a></li>
                        <li><a href="">Recommended Books</a></li>
                        <li><a>Add Recommended Books</a></li>
                    </ol>
                </div>
                <div class="form-actions">
                    <!--<button name="Edit" type="button" class="btn btn-success btn-width"><i class="fa fa-pencil-square-o mr-2" aria-hidden="true"></i>Edit</button>-->
                  <button name="Submit" type="submit" class="btn btn-success btn-width submit_btn"><i class="uil uil-check mr-2"></i>Save</button>
                  <a href="{{route('admin.popularbook.create')}}"><button name="Reset" type="reset" class="btn btn-danger btn-width"><i class="uil uil-redo mr-2"></i>Reset</button></a>
                </div>
    	</div>


		<div class="wrapper wrapper-content">
			<div class="container">
    				<div class="form-body">
        				<div class="row">
                            <div class="col-md-8 col-md-offset-2">
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Select Category</label>
                                    </label>
                                    <div class="col-sm-8">
                                        <div class="form-group clearfix">
                                            <select class="form-control select2 select2-hidden-accessible" tabindex="-1" aria-hidden="true" id="category">
                                                <option value="">Select Category</option>
                                                @foreach($categories as $category)
                                                    <option value="{{$category->id}}">{{$category->name}}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                   </div>
                                </div>
                                <div class="row form-group">
                                    <label class="col-sm-4 col-form-label">
                                        <label class="control-label">Select Books</label>
                                    </label>
                                    <div class="col-sm-8 category-select">
                                        <div class="form-group clearfix">
                                            <select class="form-control select2 select2-hidden-accessible" tabindex="-1" aria-hidden="true" multiple id="books">
                                                <option value="">Select Books</option>
                                            </select>
                                        </div>
                                   </div>
                                </div>
                            </div>
                        </div>
                    </div>
			</div>
		</div>
		
	</div>
</div>  
        
@endsection
@push('js')
<script type="text/javascript">
    $(document).ready(function(){
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        
        $("#books").select2({
            placeholder: "Select Books",
            allowClear: false
        });
        
        $("#category").select2({
            placeholder: "Select Category",
            allowClear: false
        });
        
        $('#category').on('change', function(){
            let id = $(this).val();
            if(id != ''){
                $.ajax({
                    method      : 'POST',
                    data        : {
                        id: id
                    },
                    url         : "{{route('admin.fetchbooks-byCategory')}}",
                    success     : function(response){
                        $('#books').html(response.data).trigger('change');
                    }
                });
            }
        });
        
        $('input').on('change keyup', function(){
            let closest = $(this).closest('.handle_error_block');
            $('.error', closest).html('');
        });
        
        $('.submit_btn').on('click', function(){
            let books = $('#books').val();
            if(books != ''){
                $(".submit_btn").attr('disabled', false);
                $.ajax({
                    method      : 'POST',
                    data        : {
                        books: books
                    },
                    url         : "{{route('admin.popularbook.store')}}",
                    success     : function(response){
                        if(response.success == true)
                        {
                            Swal.fire({
                                title: response.message,
                                icon: 'success'
                            }).then(function(resp){
                               location.reload(true); 
                            });
                        }
                        else
                        {
                            Toast.fire({
                                icon: 'error',
                                title: response.message
                            });
                            $(".submit_btn").attr('disabled', false);
                        }
                    },
                    error       : function(data){
                        var errors = $.parseJSON(data.responseText);
                        Toast.fire({
                            icon: 'error',
                            title: 'Please fill with valid data.'
                        });
                        // $.each(errors.errors, function(index, value) {
                        //     $('#'+index+'_error').html(value[0]);
                        // });
                        // $(".submit_btn").attr('disabled', false);
                    }
                });
            }else{
                Toast.fire({
                    icon: 'error',
                    title: 'Select Books'
                });
            }
        });

    });
</script>
@endpush