@extends('admin.layouts.app')
@push('styles')
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
@endpush
@section('content')
<div id="wrapper">
	@include("admin.includes.leftbar")
	
	<div id="page-wrapper">
		@include("admin.includes.header")
		
		<div class="page-heading page-header-flex">
            <div>
                <h1 class="page-title">
                    View Users
                </h1>
                <ol class="breadcrumb">
                    <li><a href="">Home</a></li>
                    <li><a href="">Users</a></li>
                    <li><a>View Users</a></li>
                </ol>
            </div>
	        
	        <!-- <div>
	            <a class="btn btn-info" href="#">
	                <i class="fa fa-plus-circle mr-2"></i>Create Operation
	            </a>
	        </div> -->
	    </div>

		<div class="wrapper wrapper-content">
			<div class="container">
				<div class="table-responsive">
                    <table class="table table-child-highlight">
						 <thead>
							<tr>
								<th>First Name</th>
								<th>Last Name</th>
								<th>Phone</th>
								<th>Email</th>
							</tr>
						 </thead>
						 <tbody>	
							@if($users->count())
						        @foreach($users as $user)
						        <tr>
                                    <td>{{$user->firstname}}</td>
                                    <td>{{$user->lastname}}</td>
                                    <td><a href="tel:{{$user->mobile_number}}">{{$user->mobile_number}}</a></td>
                                    <td><a href="mailto:{{$user->email}}">{{$user->email}}</a></td>
                                </tr>
						        @endforeach
						    @else
						        No User Available
						    @endif						
						</tbody>
                    </table>
                </div>
                
                <!--<nav class="text-right">-->
                <!--  <ul class="pagination">-->
                <!--    <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>-->
                <!--    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>-->
                <!--    <li><a href="#">2</a></li>-->
                <!--    <li><a href="#">3</a></li>-->
                <!--    <li><a href="#" aria-label="Next"><span aria-hidden="true">»</span></a></li>-->
                <!--  </ul>-->
                <!--</nav>-->
			</div>
		</div>
		
	</div>
</div>    
        
@endsection
@push('js')
<script>
    $(document).ready(function(){
        //  Delete Author
        $(document).on('click','.delete', function(){
            let author_id = $(this).data('id');
            let url = "{{route('admin.author.destroy',':id')}}";
            url = url.replace(':id', author_id);
            let closest_tr = $(this).closest('tr');
            Swal.fire({
              title: 'Are you sure?',
              text: "You won't be able to revert this!",
              icon: 'warning',
              showCancelButton: true,
              confirmButtonColor: '#3085d6',
              cancelButtonColor: '#d33',
              confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
              if (result.isConfirmed) {
                  $.ajax({
                      url: url,
                      type: "DELETE",
                      data:{
                          "_token": "{{ csrf_token() }}"
                      },
                      success: function(response){
                          Swal.fire({
                              title: 'Deleted!',
                              text: response.message,
                              icon: 'success'
                          }).then(function(result){
                            closest_tr.remove();  
                          });
                      },
                      error: function(){
                          Toast.fire({
                              title: 'Somthing went wrong. Please try again.',
                              icon: 'error'
                          });
                      }
                  });
                
              }
            })
        });
        //  Delete Author end
    });
</script>
@endpush