<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\API\RegisterController;
use App\Http\Controllers\API\AuthorController;
use App\Http\Controllers\API\HomeController;
use App\Http\Controllers\API\CategoryController;
use App\Http\Controllers\API\LanguageController;
use App\Http\Controllers\API\AudiobookController;
use App\Http\Controllers\API\WishlistController;
use App\Http\Controllers\API\DownloadController;
use App\Http\Controllers\API\PopularbookController;
use App\Http\Controllers\API\UserachieveController;
use App\Http\Controllers\API\TrendingController;
use App\Http\Controllers\API\FeaturedcategoryController;
use App\Http\Controllers\API\UserdetailsController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::post('register', [RegisterController::class, 'register']);
Route::post('login', [RegisterController::class, 'login']);
// Route::post('google-login',[RegisterController::class, 'googleLogin']);
Route::post('social-login',[RegisterController::class, 'socialLogin']);

Route::get('/categories',[CategoryController::class, 'index']);
Route::get('/languages',[LanguageController::class, 'index']);
Route::get('/popularbooks',[PopularbookController::class, 'index']);

Route::post('/home',[HomeController::class, 'search']);
Route::get('/trending',[TrendingController::class, 'index']);
Route::get('/get_featured_categories',[FeaturedcategoryController::class, 'index']);
     
Route::resource('audiobooks', AudiobookController::class);
Route::middleware('auth:api')->group( function () {
    Route::post('/set_download_option',[RegisterController::class, 'set_download_option']);
    Route::resource('authors', AuthorController::class);
    Route::resource('wishlists', WishlistController::class);
    Route::resource('downloads', DownloadController::class);
    Route::get('/user_languages',[LanguageController::class, 'userLanguages']);
    Route::post('/add_user_languages',[LanguageController::class, 'addUserLanguages']);
    Route::get('/user_archieves',[UserachieveController::class, 'index']);
    Route::post('/user_archieves',[UserachieveController::class, 'store']);
    Route::post('/user_archieves/manage_tracktime',[UserachieveController::class, 'manage_tracktime']);
    Route::get('/user_details',[UserdetailsController::class, 'show']);
});

// Route::middleware('auth:api')->group( function () {
    // Route::resource('audiobooks', AudiobookController::class);
// });

/*Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});*/
