<?php $__env->startPush('styles'); ?>
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<div id="wrapper">
	<?php echo $__env->make("admin.includes.leftbar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	
	<div id="page-wrapper">
		<?php echo $__env->make("admin.includes.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
		
		<div class="page-heading page-header-flex">
            <div>
                <h1 class="page-title">
                    View Recommended Books
                </h1>
                <ol class="breadcrumb">
                    <li><a href="">Home</a></li>
                    <li><a href="">Recommended Books</a></li>
                    <li><a>View Recommended Books</a></li>
                </ol>
            </div>
	        
	        <!-- <div>
	            <a class="btn btn-info" href="#">
	                <i class="fa fa-plus-circle mr-2"></i>Create Operation
	            </a>
	        </div> -->
	        <div class="form-actions">
              <a href="<?php echo e(route('admin.popularbook.create')); ?>" type="button" class="btn btn-success"><i class="uil uil-plus mr-2"></i>ADD</a>
            </div>
	    </div>

		<div class="wrapper wrapper-content">
			<div class="container">
				<div class="table-responsive">
                    <table id="draggable_table" class="table table-child-highlight category-table">
						 <thead>
							<tr>
								<th>Books</th>
                                <th>Author</th>
								<th>Categories</th>
								<th>Language</th>
                                <th>Remove</th>
							</tr>
						 </thead>
						 <tbody>
						     <?php if($popularbooks->count()): ?>
						        <?php $__currentLoopData = $popularbooks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $book): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
						            <?php
						                $categories = [];
						                foreach($book->audiobook->categories as $category){
                                                $categories[] = $category->name;
                                            }
						            ?>
    						        <tr>
                                        <td><img class="book-img" src="<?php echo e(asset('public/images/audiobooks/'.$book->audiobook->thumb_photo)); ?>" alt="<?php echo e($book->audiobook->thumb_photo); ?>" width="12%"><p class="audio-book-name"><?php echo e($book->audiobook->name); ?></p></td>
                                        <td><?php echo e($book->audiobook->author ? $book->audiobook->author->name : ''); ?></td>
                                        <td>
                                            <span><?php echo e(implode(', ', $categories)); ?></span>
                                        </td>
                                        <td>
                                            <?php $__currentLoopData = $book->audiobook->languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <label class="control-label text-lebel"><?php echo e($language->name); ?></label>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </td>
                                        <td>
                                            <span class="audiobook-trash" data-id="<?php echo e($book->id); ?>"><i class="fa fa-trash" aria-hidden="true"></i></span> 
                                        </td>
                                    </tr>
						        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
						     <?php else: ?>
						     <?php endif; ?>
							
						</tbody>
                    </table>
                    <!--<nav class="text-right">-->
                    <!--  <ul class="pagination">-->
                    <!--    <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>-->
                    <!--    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>-->
                    <!--    <li><a href="#">2</a></li>-->
                    <!--    <li><a href="#">3</a></li>-->
                    <!--    <li><a href="#" aria-label="Next"><span aria-hidden="true">»</span></a></li>-->
                    <!--  </ul>-->
                    <!--</nav>-->
                </div>
			</div>
		</div>
		
	</div>
</div>    
        
<?php $__env->stopSection(); ?>
<?php $__env->startPush('js'); ?>
<script>
    $(document).ready(function(){
        //  Delete popularbook
        $(document).on('click','.audiobook-trash', function(){
            let popular_id = $(this).data('id');
            let url = "<?php echo e(route('admin.popularbook.destroy',':id')); ?>";
            url = url.replace(':id', popular_id);
            let closest_tr = $(this).closest('tr');
            Swal.fire({
              title: 'Are you sure?',
              text: "You won't be able to revert this!",
              icon: 'warning',
              showCancelButton: true,
              confirmButtonColor: '#3085d6',
              cancelButtonColor: '#d33',
              confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
              if (result.isConfirmed) {
                  $.ajax({
                      url: url,
                      type: "DELETE",
                      data:{
                          "_token": "<?php echo e(csrf_token()); ?>"
                      },
                      success: function(response){
                          Swal.fire({
                              title: 'Deleted!',
                              text: response.message,
                              icon: 'success'
                          }).then(function(result){
                            closest_tr.remove();  
                          });
                      },
                      error: function(){
                          Toast.fire({
                              title: 'Somthing went wrong. Please try again.',
                              icon: 'error'
                          });
                      }
                  });
                
              }
            })
        });
        //  Delete popularbook end
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/livedealsco/public_html/bigaudiobook/resources/views/admin/popularbook/index.blade.php ENDPATH**/ ?>