<?php $__env->startPush('styles'); ?>
<style>
.swal2-popup{
    font-size: 1.6rem !important;
}
</style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<div id="wrapper">
	<?php echo $__env->make("admin.includes.leftbar", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
	
	<div id="page-wrapper">
		<?php echo $__env->make("admin.includes.header", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
		
		<div class="page-heading page-header-flex">
            <div>
                <h1 class="page-title">
                    View Languages
                </h1>
                <ol class="breadcrumb">
                    <li><a href="">Home</a></li>
                    <li><a href="">Languages</a></li>
                    <li><a>View Languages</a></li>
                </ol>
            </div>
            
            <div class="form-actions">
              <a href="<?php echo e(route('admin.languages.create')); ?>" type="button" class="btn btn-success btn-width"><i class="uil uil-plus mr-2"></i>ADD</a>
            </div>
        </div>

		<div class="wrapper wrapper-content">
			<div class="container">
				<div class="table-responsive">
                    <table id="draggable_table" class="table table-child-highlight">
						 <thead>
							<tr>
								<th>Name</th>
								<th>Short Code</th>
                                <th>Edit</th>
                                <th>Delete</th>
							</tr>
						 </thead>
						 <tbody>	
						 <?php if($languages->count()): ?>
    						 <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        						 <tr data-id="<?php echo e($language->id); ?>" data-position="<?php echo e($language->sortid); ?>">
                                    <td><?php echo e($language->name); ?></td>
                                    <td><?php echo e($language->short_code); ?></td>
                                    <td><a href="javascript:void(0)" class="edit" data-toggle="modal" data-target="#editModal" data-id="<?php echo e($language->id); ?>" data-lang="<?php echo e($language->name); ?>" data-code="<?php echo e($language->short_code); ?>"><i class="uil uil-edit-alt mr-3"></i>Edit</a></td>
                                    <td><a href="javascript:void(0)" class="delete" data-id="<?php echo e($language->id); ?>"><i class="uil uil-trash-alt mr-3"></i>Delete</a></td>
                                </tr>
    						 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
							
                         <?php else: ?>
                            No Data Available
                         <?php endif; ?>
						</tbody>
                    </table>
                    
                    <!--<nav class="text-right">-->
                    <!--  <ul class="pagination">-->
                    <!--    <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>-->
                    <!--    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>-->
                    <!--    <li><a href="#">2</a></li>-->
                    <!--    <li><a href="#">3</a></li>-->
                    <!--    <li><a href="#" aria-label="Next"><span aria-hidden="true">»</span></a></li>-->
                    <!--  </ul>-->
                    <!--</nav>-->
                </div>
			</div>
		</div>
		
	</div>
</div>    
<!-- Edit Modal -->
<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h3 class="modal-title" id="exampleModalLabel">Edit Language</h3>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="POST" id="edit_language">
	        <?php echo csrf_field(); ?>
             <div class="col-md-12">
                 <div class="row form-group ">
                     <label class="col-sm-4 col-form-label">
                         <label class="control-label">Language</label>
                     </label>
                     <div class="col-sm-8 handle_error_block">
                         <input type="text" name="name" class="form-control edit_lang" placeholder="Language">
                         <div class="error text-danger" id="name_error"></div>
                    </div>
                 </div>
                 <div class="row form-group ">
                     <label class="col-sm-4 col-form-label">
                         <label class="control-label">Short Code</label>
                     </label>
                     <div class="col-sm-8 handle_error_block">
                         <input type="text" name="short_code" class="form-control edit_code" placeholder="Short code">
                         <div class="error text-danger" id="short_code_error"></div>
                    </div>
                 </div>
            </div>
            <div style="text-align:right; margin-top: 20px;"><button type="button" class="btn btn-success update_btn">Update</button></div>
        </form>
      </div>
    </div>
  </div>
</div>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('js'); ?>
<script>
    $(document).ready(function(){
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        
        // Set Order Language start
        $('table tbody').sortable({
            axis: "y",
            update: function (event, ui) {
                $(this).children().each(function (index) {
                    if ($(this).attr('data-position') != (index+1)) {
                        $(this).attr('data-position', (index+1)).addClass('updated');
                    }
                });

                saveNewPositions();
             }
          });

        function saveNewPositions() {
            var positions = [];
            $('.updated').each(function () {
               positions.push([$(this).attr('data-id'), $(this).attr('data-position')]);
               $(this).removeClass('updated');
            });
            
            $.ajax({
              url: "<?php echo e(route('admin.languages.sorting')); ?>",
              method: 'POST',
              dataType: 'text',
              data: {
                  positions: positions
              }, success: function (response) {
                    Toast.fire({
                        title: "Category sorted successfully",
                        icon: 'success'
                    });
              }
            });
        }
        
        // Set Order Language end
        $(document).on('click','.edit', function(){
            $('.error').html('');
            let id = $(this).data('id');
            let lang = $(this).data('lang');
            let short_code = $(this).data('code');
            $('.edit_lang').val(lang);
            $('.edit_code').val(short_code);
            let url = "<?php echo e(route('admin.languages.update',':id')); ?>";
            url = url.replace(':id', id);
            $('#edit_language').attr('action', url);
        });
        
        $('.update_btn').on('click', function(){
            $('#edit_language').submit();
        });
        $('input').on('change keyup', function(){
            let closest = $(this).closest('.handle_error_block');
            $('.error', closest).html('');
        });
        $("form#edit_language").on('submit', function(){

            $(".update_btn").attr('disabled', true);
            $('.error').html('');
            
            var formData = new FormData(this);
            $.ajax({
                method      : 'post',
                data        : formData,
                url         : $(this).attr('action'),
                processData : false, // Don't process the files
                contentType : false, // Set content type to false as jQuery will tell the server its a query string request
                dataType    : 'json',
                success     : function(response){
                    if(response.success == true)
                    {
                        $('#editModal').modal('hide');
                        Swal.fire({
                            title: response.message,
                            icon: 'success'
                        }).then(function(resp){
                            location.reload(true);
                        });
                    }
                    else
                    {
                        Toast.fire({
                            icon: 'error',
                            title: response.message
                        });
                        $(".update_btn").attr('disabled', false);
                    }
                },
                error       : function(data){
                    var errors = $.parseJSON(data.responseText);
                    Toast.fire({
                        icon: 'error',
                        title: 'Please fill with valid data.'
                    });
                    $.each(errors.errors, function(index, value) {
                        $('#'+index+'_error').html(value[0]);
                    });
                    $(".update_btn").attr('disabled', false);
                }

            });
            return false;

        });
        
        //  Delete Language
        $(document).on('click','.delete', function(){
            let lan_id = $(this).data('id');
            let url = "<?php echo e(route('admin.languages.destroy',':id')); ?>";
            url = url.replace(':id', lan_id);
            let closest_tr = $(this).closest('tr');
            Swal.fire({
              title: 'Are you sure?',
              text: "You won't be able to revert this!",
              icon: 'warning',
              showCancelButton: true,
              confirmButtonColor: '#3085d6',
              cancelButtonColor: '#d33',
              confirmButtonText: 'Yes, delete it!'
            }).then((result) => {
              if (result.isConfirmed) {
                  $.ajax({
                      url: url,
                      type: "DELETE",
                      data:{
                          "_token": "<?php echo e(csrf_token()); ?>"
                      },
                      success: function(response){
                            if(response.success){
                                Swal.fire({
                                    title: 'Deleted!',
                                    text: response.message,
                                    icon: 'success'
                                }).then(function(result){
                                    closest_tr.remove();  
                                });
                            }else{
                                Swal.fire({
                                    title: 'Warning!',
                                    text: response.message,
                                    icon: 'warning'
                                });
                            }
                      },
                      error: function(){
                          Toast.fire({
                              title: 'Somthing went wrong. Please try again.',
                              icon: 'error'
                          });
                      }
                  });
                
              }
            })
        });
        //  Delete Language end
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/livedealsco/public_html/bigaudiobook/resources/views/admin/language/index.blade.php ENDPATH**/ ?>